0. Metadata
-----------
Copyright:		Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
License:		GNU General Public License version 2 or later; see LICENSE.txt

1. Copyright and disclaimer
---------------------------
This application is opensource software released under the GPL.  Please
see source code and the LICENSE file

2. Changelog
------------
This is a non-exhaustive (but still near complete) changelog for
Joomla! 3, including alpha and beta versions.
Our thanks to all those people who've contributed bug reports and
code fixes.

Legend:

* -> Security Fix
# -> Issue Fix
$ -> Language fix or change
+ -> Addition
^ -> Change
- -> Removed
! -> Note

04-Dec-2013 Jean-Marie Simonet
 # [#31682] Options for ordering in config.xml of com_tags is wrong Thanks Phương Lê

02-Dec-2013 Jean-Marie Simonet
# [#32741] Error 404 when leaving K2 config box in Joomla 3.2  Thanks Christelle Olivier

01-Dec-2013 Jean-Marie Simonet
 # [#32844] *Regression: Batch Copy modules does not work if a position is not chosen  Thanks Thomas Hunziker

29-Nov-2013 Jean-Marie Simonet
 [#32846] Add in batch language option for all languages  Thanks Thomas Hunziker

28-Nov-2013 Jean-Marie Simonet
 # [#32766] Formfield `ChromeStyle` produces fatal error if used outside of com_modules.  Thanks Thomas Hunziker
 # [#32786] Stop canonical message in home page using featured view of com_content  Thanks Bruno Batista

27-Nov-2013 Jean-Marie Simonet
 # [#32815] Issues with the cache permissions  Thanks Tobias Zulauf
 # [#32810] *mod_feed does not render hyperlinks in RSS 2.0 feeds containing GUIDs + others  Thanks Lewis Rosenthal
 # [#32772] A Header is missing for the beez3 login form.  Thanks Tobias Zulauf
 # [#32700] Cleanup beez3 error.php  
 # [#32675] Missing check in JApplicationSite causes a fatal error  Thanks Michael Babker
 $ Updating TinyMCE German de.js.

26-Nov-2013 Jean-Marie Simonet
 # [#32812] *Wrong JText causes double string use

25-Nov-2013 Jean-Marie Simonet
 # [#32605] Heading TOO BIG in the screen "Template Manager: Customise Template" 

24-Nov-2013 Jean-Marie Simonet
 # [#32779] Tags formfield doesn't show tag when editing an item with the same id  Thanks Thomas Hunziker
 # [#32765] *com_redirect :do not translate cyrillic characters in url 
 # [#30263] grid.boolean does not work properly in Isis  Thanks Peter Bui

22-Nov-2013 Jean-Marie Simonet
 # [#32727] Updating Joomla! RAD Layer to FOF 2.1.0 stable  Thanks Nicholas Dyonisopoulos
 # [#32693] com_ajax cannot access modules with dashes in their name  Thanks Matt Thomas
 # [#32776] *helpsite url can't be localised at install time 
 ^ Updating en-GB xml versions

21-Nov-2013 Jean-Marie Simonet
 # Reverting #32675] as it prevents setting default language

20-Nov-2013 Jean-Marie Simonet
 # [#32740] Making Finder plugins language aware Thanks Hannes Papenberg
 $ Adding ro-RO installation lang file and updating th-TH
 # [#26551] Multiple instances of script and css declarations with enabled caching  Thanks Dennis Hermatski
 # [#32636] Fixed issue with fields splitting causing layout issues  Thanks Peter van Westen
 # [#32675] Missing check in JApplicationSite causes a fatal error  Thanks Michael Babker
 # [#32732] Update default sample data  Thanks Michael Babker

18-Nov-2013 Jean-Marie Simonet
 # [#32615] Regression: Module can't be deleted  Thanks Hannes Papenberg
 $ [#32738] Component options help button always links to Global Configuration help screen  Thanks Mark Dexter
 $ [#32731] Added new language strings for front end com_config  Thanks Buddhima Wijeweera
 # [#32640] viewsite class has been removed from mod_status (J3.2) Thanks Jurian Even
 $ Complete TinyMCE fr.js lang file

17-Nov-2013 Jean-Marie Simonet
 # [#32721] Fix small error in application view  Thanks Bruno Batista
 # [#32165] False helper include in article model file  Thanks Panayiotis Halouvas
 # [#32726] PHP notice in com_config  Thanks David Jardin
 # [#32734] *Regression: Insert article in Frontend edit is broken: 500 JForm::getInstance could not load file  Thanks Michael Babker

16-Nov-2013 Michael Babker
 # [#32662] Feed information missing in RSS type Syndication Feed.  Thanks George Wilson
 # [#32699] Joomla! extension updates can't use update XML sources with URLs not ending in .xml.  Thanks Nicholas Dionysopoulos
 # [#32074] Fixed PHP Notice: Undefined variable: versionName in contenthistory.php on line 155.  Thanks George Wilson
 # [#32716] *Regression: TinyMCE non empty textarea on New or Save & New.  Thanks Jean-Marie Simonet
 ^ [#30373] Installer 404 should be 403 for authorization.  Thanks Naouak

13-Nov-2013 Jean-Marie Simonet
 # [#32412] protostar error page logo  Thanks David Beuving
 + [#32660] TinyMCE editor lacks link relation option  Thanks Artur Stępień
 # [#32626] *Banners Manager: Options is gone when filtering by a category
 +$ [#32678] TinyMCE 4 in Joomla 3.2 has no image advanced options
 # [#32672] Fixed problem with featured view Thanks Bruno Batista
 $ [#32546] Language strings missing for com_tags  Thanks George Wilson
 $ [#32680] Missing string Thanks David Jardin
 # [#32509] group is missing from settable JFormField properties  Thanks Klas 10

12-Nov-2013 Jean-Marie Simonet
 # [#32629] The media formfield is missing a space before the class attribute Thanks Thomas Hunziker
 # [#32588] Joomla 3.2 JavaScript errors (Uncaught TypeError: undefined is not a function )  Thanks Jurian Even
 # [#32523] Update some wrong docblock packages  Thanks Simon Asika
 # [#32630] $config variable missing in comment  Thanks Demis Palma
 # [#32617] Email subsystem blocked after upgrade to Joomla 3.2  Thanks Demis Palma
 # [#30648] Incorrect ID for trash toolbar button when message is added  Thanks Jurian Even
 # [#32627] Back end configuration does not work if cache is enabled  Thanks Dennis Hermatski
 # [#31425] Invalid debug database queries count  Thanks Vitalij L.

11-Nov-2013 Jean-Marie Simonet
 # [#32622] CSS Layout Issue with Protostar and Weblinks Front End Submit Thansk George Wilson
 # [#31678] [Regression] Modal behavior missing for user notes view  Thanks Ashan Fernando
 # [#32337] Fix jform labelclass property  Thanks Viet Vu
 # [#32124] phpwarnings if directory in unwritable.  Thanks Achal Aggarwal
 # [#32623] Mod_login need to pick up com_users settings on links  Thanks Daniele Rosario
 $ [#32607] Remove two whitespaces and alphasort the content history string  Thanks Tobias Zulauf
 # [#32506] Very small center correction in the overrides table view  Thanks Tobias Zulauf

10-Nov-2013 Jean-Marie Simonet
 + Adding Montenegrin srp-ME flag in mod_languages
 $ Missing language string

09-Nov-2013 Michael Babker #JWC13 Bug Squash
 #$ [#32456] "No" Fields at mod_search are blue.  Thanks Thomas Hunziker
 #$ [#32609] Debugger show a missing language string at some places.  Thanks Tobias Zulauf
 # [#31055] Smart Search does not remove search phrases from index when saving an article.  Thanks Chris Davenport
 # [#32620] Sorting columns in feature contacts does gives js error.  Thanks Ashan Fernando
 # [#32597] Tags field is to big at the weblink submit form.  Thanks Tobias Zulauf
 # [#32600] Article Manager: Options is gone when filtering an category.  Thanks Jelle Kok
 # [#32444] default option 'mobile' for Tinimce differ from tynimce.php and tinymce.xml.  Thanks George Wilson

09-Nov-2013 Jean-Marie Simonet
 # [#32585] Password reset does not work  Thanks Elin Waring and David Jardin
 $ [#32516] Term "article" is used in descriptions of other content items. Thanks Jozsef Tamas Herczeg
 # [#32476] The form in view tag of com_tags is not properly closed when there is no associated items with the tag  Thanks Phương Lê

08-Nov-2013 David Hurley
 # [#32576] Wrong Recaptcha URLs causing broken captcha. Thanks David Jardin

08-Nov-2013 Jean-Marie Simonet
 + Adding French help server. Thanks Rafael Logvinski (AFUJ)
 # [#32477] *Multilanguage: Issue with submenu set to ALL  Thanks Dennis Hermatski
 # [#32452] Inconsistency for Yes/No radio type buttons in various configurations  Thanks Thomas Hunziker
 # [#32584] Vote plugin not work  Thanks SmokerМan Nikola
 $ [#32581] Untranslated String in the FE profiel (if you use a admin user) Thanks Tobias Zulauf
 # [#32504] Add class="center" to the content language view  Thanks Tobias Zulauf
 # [#31610] Problems in jhttp classes break updater  Thanks David Jardin
 # [#32507] Correction of center in the template manager  Thanks Tobias Zulauf

07-Nov-2013 Michael Babker
 # [#32582] Upgrade to 3.2.0 errors as Postgres null date is '1970-01-01 00:00:00' instead of '0000-00-00 00:00:00'.  Thanks Alan Hicks

06-Nov-2013 Michael Babker
 # [#32555] MS SQL Database configuration fails with multiple errors during a fresh Joomla! 3.2 installation

-------------------- 3.2.0 Stable Release [06-Nov-2013] ------------------

06-Nov-2013 Michael Babker
 # [#32545] BC issue: JApplication::redirect($url, $message) broken: Message not displayed after redirect: Affecting many extensions.  Thanks Beat

06-Nov-2013 Jean-Marie Simonet
 # [#32528] tinymce.php; template_list.js inclusion with file_get_contents over http  Thanks marco maria leoni

05-Nov-2013 Michael Babker
 ^ Revert [#30556] JDatabaseDriver::replacePrefix: Optimization.  Thanks Elin Waring

05-Nov-2013 David Hurley
 # [#32522] Handle an invalid remember cookie. Thanks Elin Waring

05-Nov-2013 Jean-Marie Simonet
 # [#32513] *Regression: No filtering work in Hathor (managers as well as choosing article via modal) Thanks Roberto Segura

04-Nov-2013 Michael Babker
 # [#32511] *B/C: Hathor edit contact or newsfeed broken on legacy sites.  Thanks Elin Waring
 # [#32514] New menu item > Articles > Single Article: search article doesn't work.  Thanks Roberto Segura
 # [#31992] Hathor: Content Versioning missing Version Notes
 # [#32459] [com_finder] Fix to taxonomy.php.  Thanks Jan Schönherr
 ^ [#32515] *Displaying message when installing pre 3.2.0 language packs containing older TinyMCE lang installation.  Thanks Jean-Marie Simonet

04-Nov-2013 Jean-Marie Simonet
 $ Adding updated installation language file ckb-IQ

03-Nov-2013 Michael Babker
 # [#32498] 3.2RC - Bootstrap CSS styles loaded from (media/JUI/) for logged in users on front-end.  Thanks Thomas Hunziker
 ^ [#32508] Widen the permissions dropdown.  Thanks George Wilson
 # [#32480] ConfigModelForm and ConfigModelApplication use non existing setError() methods

03-Nov-2013 Jean-Marie Simonet
 # [#32496] *Implements Loading always en-GB before another language to cope for missing strings Thanks Nicholas Dyonisopoulos and George Wilson
 # [#32497] Update to TinyMCE 4.0.10  Thanks George Wilson
 + Adding Flemish nl-be Belgium flag in mod_languages
 # [#32499] *Regression JUX #32096: edit override field is unrelated to multilang
 # [#32502] Double lang ID in the language view  Thanks Tobias Zulauf
 # [#32501] *Multilingual Hathor: correcting Associations sliders display for article, category, contact, newsfeed, menu

02-Nov-2013 Michael Babker
 ^ [#32347] Versioning not working in update package.  Thanks Thomas Hunziker

02-Nov-2013 Jean-Marie Simonet
 $ Deleting non-updated installation lang files: bs-BA, ckb-IQ, cs-CZ, eo-XX, pt-PT, pr-BR, ro-RO, sq-Al

-------------------- 3.2 Release Candidate [01-Nov-2013] ------------------

01-Nov-2013 Mark Dexter
 # [#32210] History version does not show current version correctly in some cases. Thanks Mark Dexter.

01-Nov-2013 Jean-Marie Simonet
 $ Correcting installation sv-SE
 $ [#32473] (en-GB ONLY: ) Values of 6 keys in en-GB.com_templates.ini admin language file are grammatically incorrect. Thanks Thomas Jackson
 $ Updating installation lang file: nb-NO

31-Oct-2013 Michael Babker
 # [#32478] ConfigModelComponent class was moved without deprecation period, result in fatal error
 # [#32446] cpanel span calculation doesn't threat bootstrapSize 0 properly.  Thanks Thomas Hunziker
 # [#32275] Sample data bug breaks cpanel (update).  Thanks Thomas Hunziker

31-Oct-2013 Jean-Marie Simonet
 # [#32460] Installation beta2 hangs on PHP5.3.3-7  Thanks Tobias Zulauf

30-Oct-2013 Michael Babker
 # [#32421] Installation 3.2.b2 fails on PostgreSQL
 # [#31604] Invalid column name 'RowNumber' from articles model with MS SQL Server

30-Oct-2013 Jean-Marie Simonet
 # [#32237] Different Display at the edit views  Thanks Tobias Zulauf
 # [#32416] Color field gives php errors when using control="simple"  Thanks Peter van Wetsen
 # [#32291] Position field in Hathor module manager "select position" is in wrong place Thanks Ashan Fernando
 # [#32448] Missing 'btn-group-yesno' class for yes/no buttons in plg : editors / codemirror  Thanks Marc-Antoine Thevenet
 # [#32445] Wrong class for ‘yes/no’ button in plg : User - Joomla!  Thanks Marc-Antoine Thevenet
 $ [#32470] Incomplete value of a key in en-GB.com_templates.ini admin language file  Thanks Jozsef Tamas Herczeg

29-Oct-2013 Jean-Marie Simonet
 $ Updating installation language: be-BY, hr-HR, hu-HU
 # [#32436] The navigation of the plugins and modules does not work!  Thanks Roberto Segura
 # [#32455] Restoring an article from version history in front end has incorrect redirect  Thanks Mark Dexter
 $ Updating installation files : hr-HR, pl-PL

29-Oct-2013 Roberto Segura
 # [#32453] Super user password doesn't update hash and some other issues.  Thanks Elin Waring
 ^ [#32434] Various code styling fixes. Thanks Gunjan Patel
 ^ [#32457] Yes/No Button at mod_breadcrumbs. Thanks Tobias Zulauf
 # [#32450] Issue #1866 Loosing port in URL of a Weblink. Thanks Marcel van Beelen

28-Oct-2013 Michael Babker
 # [#32375] Regression 3 column blog layout - prototsar.  Thanks Thomas Hunziker
 # [#32379] Regression: Preformatted images and urls broken in back weblinks and newsfeeds.  Thanks Elin Waring

27-Oct-2013 Michael Babker
 ^ [#32334] Move com_contenthistory media to media folder

27-Oct-2013 Jean-Marie Simonet
 # Correcting Contenthistory messages to accept single quotes

26-Oct-2013 David Hurley
 + [#32026] Yubi key feature addition. Thanks Nicholas Dionysopoulos
 # [#32431] Fix login module status button. Thanks Ofer Cohen

25-Oct-2013 Jean-Marie Simonet
 #$ Updating both en-GB.xml
 # RTL Isis menus colour should be white, not blue.
 $ Updating installation lang file: sv-SE

24-Oct-2013 Elin Waring
 # [#32419] Installation 3.2.b2 fails on MSSQL. Thanks Marcel van Beelen
 # [#32417] Small bug in menutypes.php. Thanks Bruno Batista

-------------------- 3.2 Beta 2 Release [24-Oct-2013] ------------------

24-Oct-2013 Jean-Marie Simonet
 # RTL Isis menus should be aligned right. Thanks Ofer Cohen
 # RTL Isis dropdown toggle icon should be aligned with other icons.
 $ [#31959] Alpha sort en-GB.com_installer.ini  Thanks Brian Teeman
 ^ [#32345] Corrected JUI comment tags in less/css/js files. Thanks Peter Van Westen
 $ [#32408] Add warning text to post install strong password language string. Thanks Nicolas Antimisiaris
 $ Adding lang strings for new position postinstall in Isis and Hathor
 $ New installation lang file: Montenegrin srp-ME

23-Oct-2013 Michael Babker
 # [#32401] *Custom module Options hard to find.  Thanks Jean-Marie Simonet
 # [#32398] Some older php admin users can't login.  Thanks Elin Waring
 # [#32150] tag added to an article gets removed if ordering changed or in batch processing.  Thanks Elin Waring
 ^ [#32216] New post install/post update messages.  Thanks Nicholas Dionysopoulos
 ^ [#32330] Removing `postinstall_message_id` from postinstall INSERT queries.  Thanks Thomas Hunziker
 ^ [#32395] CS errors found in CMS build (mostly com_config related).  Thanks Buddhima Wijeweera
 # [#32343] Regression in Module and Plugin views.  Thanks David Hurley

23-Oct-2013 Jean-Marie Simonet
 # [#32310] Regression: Restore lost editor configuration tab.
 # [#32393] /layouts not included in robots.txt  Thanks Matt Thomas
 # [#32378] Installation error: JLIB_DATABASE_QUERY_FAILED. Thanks Marcel van Beelen
 # [#32394] Replace JLess uses with FOFLess. Thanks Michael Babker
 $ [#31954] Another batch of en-GB grammar corrections  Thanks Brian Teeman
 # [#32297] Refactoring com_config. Thanks Buddhima Wijeweera

22-Oct-2013 Michael Babker
 + [#28638] Advanced ACL for com_modules, permissions per module.  Thanks Sander Potjer
 # [#32289] Sometimes passwords are blank and you can't login.  Thanks Elin Waring
 ^ [#32381] Update Joomla! RAD layer to FOF 2.1.rc4.  Thanks Nicholas Dionysopoulos

22-Oct-2013 David Hurley
 ^ Update to previously new submitted Framework code. Thanks Andrew Eddie

22-Oct-2013 Jean-Marie Simonet
 # [#32368] *Regression: Cancelling Component Options edit wrong redirect Thanks Achal Aggarwal
 $ Missing lang string. Normalising both lib_joomla.ini
 ^ [#32372] Update TinyMCE to 4.0.8. Thanks Zitrone
 # Updating TinyMce RTL lang files to 4.0.8

21-Oct-2013 Michael Babker
 # [#32361] [3.x] Search tools fixes.  Thanks Roberto Segura

21-Oct-2013 Roberto Segura
 # [#32366] Login module doesn't show "forgot" links if user registration is disabled. Thanks Thomas Hunziker
 + [#32174] Not translated "Close" in new template file edit screen. Thanks Tobias Zulauf
 ^ [#32354] Hard Coded SQL Queries at the Joomla content Plugin. Thanks Tobias Zulauf
 # [#32364] Regression: Contact data saving incorrectly, fix edit screen. Thanks Elin Waring
 ^ [#32308] FE Site Settings wthout class="btn-group". Thanks Tobias Zulauf
 ^ [#32304] Nowrap not needed in Title attributes. Thanks Cyril Rezé
 # Missing row-fluid in markup after recent contact edit changes

20-Oct-2013 Elin Waring
 # [#32327] Installation halts at 1st step on PHP 5.3.3.
 + [#32333] Adding template.js for Beez3 template. Thanks Buddhima Wijeweera

20-Oct-2013 Jean-Marie Simonet
 # [#32278] Error Page is not in the new JUX design. Thanks Michael Babker
 $ Updating Installation languages: fi-FI, nl-NL
 $ Updating TinyMCE nl lang file.
 #$ [#32342] Fix wrong pluralization Thanks Nikolai Plath

20-Oct-2013 Roberto Segura
 # [#32346] Coding error in plugins/system/remember/remember.php. Thanks Mike Smith
 # [#32290] Login screen showing secret key field when it shouldn't, not showing remember me. Thanks Elin Waring
 $ [#32338] Missing string. Thanks Roger Perren
 # [#32353] Fatal Error: Class 'PlgUserJoomla' not found. Thanks George Wilson
 # [#32352] Add class aliases for legacy application classes. Thanks Michael Babker
 # [#32326] Control Panel Icon Needs to Change. Thanks Nick Savov
 # [#32315] *regression: Notices or fatal errors for categories menu item display. Thanks Achal Aggarwal
 # [#31139] Two functions in com_content article model need to use JDatabase. Thanks Gunjan Patel
 # [#31716] Offline template: "remember me" checkbox not removed when plugin disabled. Thanks Tobias Zulauf

18-Oct-2013 Jean-Marie Simonet
 # [#32344] *Overrides bug: Warning: constant() [function.constant]: Couldn't find constant JPATH_0

17-Oct-2013 Michael Babker
 + [#31861] [JUX2] [04] New Search tools on top of lists.  Thanks Roberto Segura

17-Oct-2013 David Hurley
 ^ [#32287] Update to sample data defaults. Thanks Elin Waring
 # [#32277] Fix problem with form field ordering. Thanks Achal Aggarwal

17-Oct-2013 Jean-Marie Simonet
 $ Updating installation lang files: af-ZA, vi-VN, sr-YU, sr-RS
 $ Updating installation lang files: sr-YU, sr-RS

16-Oct-2013 Michael Babker
 # [#32247] Jgrid bug producing double quotes.  Thanks Brian Teeman
 ^ [#32317] *Postinstall component missing a toolbar Options button.  Thanks Nicholas Dionysopoulos
 ^ [#32325] Category edit is missing label for Description field.  Thanks Mark Dexter
 ^ [#32309] Code CS Issue in com_modules helper.  Thanks Chad Windnagle
 ^ [#32194] Banner model has hardcoded SQL.  Thanks Peter Martin
 # [#31654] Browser Page Title Not Showing for Tagged Item Menu.  Thanks Achal Aggarwal
 # [#30535] The tag shows itself as a parent tag choice, when it shouldn't.  Thanks Eliot Bendinelli
 # [#32080] mod_articles_archive ordering is broken.  Thanks David Jardin
 ^ [#31806] New context should be based on default context.  Thanks Elijah Madden
 ^ [#32070] Removed unused JToolbarHelper::title() in component helper.  Thanks Bruno Batista
 # [#32134] Send mail button in Mass Mail has no icon in hathor.  Thanks Tobias Zulauf

15-Oct-2013 Michael Babker
 # [#32322] com_config is broken at hathor

15-Oct-2013 Jean-Marie Simonet
 # [#32296] *Regression JUX #32096 weblink association + normalising use of static commands for $assoc
 # [#32284] Adding missing index.html files. Thanks Achal Aggarwal
 # [#32306] Add and fix ACL for com_postinstall and the postinstall message at the Control Panel. Thanks Tobias Zulauf

13-Oct-2013 Elin Waring
 + [#31786] get_html_translation_table requires encoding value for PHP 5.4. Thanks Robert Deutz

12-Oct-2013 Michael Babker
 + [#31264] GSOC 2013 Project: com_config or front end website administration.  Thanks Buddhima Wijeweera

-------------------- 3.2 Beta 1 Release [11-Oct-2013] ------------------

11-Oct-2013 Roberto Segura
 # [#32152] Session expired message on login. Thanks Michael Babker
 # [#32236] Cannot read property H5Form of undefined. Thanks Achal Aggarwal

11-Oct-2013 Jean-Marie Simonet
 # [#32234] *RTL: URL fields should be align left and LTR. BE patch

10-Oct-2013 Michael Babker
 # [#32233] Regression - language override broken.  Thanks Achal Aggarwal

10-Oct-2013 David Hurley
 ^ [#32220] Update FOF to 2.1rc3. Thanks Nicholas Dionysopoulos
 # [#32245] Update message styling. Thanks Michael Babker

10-Oct-2013 Elin Waring
 # [#32239] Sample data bug breaks cpanel. Thanks Brian Teeman
 # [#32240] Fix broken template style editing (regression). Thanks Roberto Segura
 # [#32244] Missing Version Note in Banner Client form. Thanks Mark Dexter
 ^ [#32242] Change post-installation messages notification from a modal to a message area. Thanks Nicholas Dionysopoulos
 # [#32219] Last selected tab will be loaded even going out to a new section and coming back to the same section. Thanks Ashan Fernando

10-Oct-2013 Jean-Marie Simonet
 # [#32232] *Normalising plugin edit on the model of module edit
 $ Updating installation lang files: ko-KR

10-Oct-2013 Roberto Segura
 # [#32166] com_ajax cannot access modules with underscores in their name. Thanks Matt Thomas
 # [#32203] Improving module loading code in cpanel layout. Thanks Thomas Hunziker

09-Oct-2013 Michael Babker
 # [#32226] *Regression: Editors-xtd not displaying anymore.  Thanks Achal Aggarwal

09-Oct-2013 David Hurley
 # [#32221] Fix version / cancel button placement Thanks Janich Rasmussen
 # [#31858] Move actions to status buttons. Thanks Beat
 # [#32027] Cleaned up top menu bar. Thanks Beat
 # [#32095] Add view-dependent icons. Thanks Beat
 + [#31864] Add front-end hover to modules. Thanks Beat

09-Oct-2013 Jean-Marie Simonet
 # [#32217] Module position modal styling broken  Thanks Peter van Westen
 # [#32224] *regression JUX #32096 commit breaks multilang edit "modals"
 $ Updating installation lang files: bg-BG, cs-CZ, el-GR, sk-SK, uk-UA

09-Oct-2013 Elin Waring
 # [#32214] *ACL settings do not display for components. Thanks Michael Babker
 # [#32215] *Setting frontend editing new Global Configuration setting to Modules & menus breaks back-end display. Thanks Roberto Segura
 ^ [#32227] Fix checkstyle. Thanks Nikolai Plath.

08-Oct-2013 Elin Waring
 ^ [#31997] Add content history versions to com_tags. Thanks Mark Dexter
 ^ [#32170] Add content history versions to com_banners. Thanks Mark Dexter
 ^ [#32204] Add version history for user notes and user notes categories. Thanks Mark Dexter

08-Oct-2013 Michael Babker
 ^ [#31347] Introducing HTML5 form fields and attributes - GSOC.  Thanks Achal Aggarwal
 ^ [#30781] Small changes to jForm and jField to allow for repeatable form elements.  Thanks George Wilson
 + [#30798] Add logging to Joomla Update.  Thanks Mark Dexter
 ^ [#31490] Duplicate code reduction in categories views.  Thanks Elin Waring
 # [#32207] installer leftovers in the Joomla tmp folder after unsuccessful installation.  Thanks Beat

08-Oct-2013 Jean-Marie Simonet
 $ Updating installation lang files: et-EE, fa-IR, ja-JP, tr-TR, ug-CN, zh-cn, zh-TW
 $ Adding TinyMCE Swahili language file

07-Oct-2013 Jean-Marie Simonet
 # [#32199] *Allow username edit in profile edit when username is not compliant. Thanks Achal Aggarwal
 # [#30586] Usernames that should not be accepted can be actualy registered. Thanks Sergio Manzi

07-Oct-2013 Roberto Segura
 # 06-Oct-2013 Fix broken install after [#31602]. Thanks Michael Babker

06-Oct-2013 Michael Babker
 + [#31602] add simple versioning to admin template css and js.  Thanks Roberto Segura
 ^ [#32054] [JUX2] [17] Move the Help and Options toolbar-buttons to the right where they belong.  Thanks Roberto Segura
 ^ [#31871] [JUX2] [14] Proposal for an improved Quick-Icons panel.  Thanks Beat

06-Oct-2013 Elin Waring
 ^ [#31957] Use UCM in ordering form field. Thanks George Wilson
 + [#31187] Tag Cloud Layout for Popular Tags. Thanks Constantin Romankiewicz and Thomas Hunziker
 # [#32201] SQL ERROR if you install master
 # [#32190] Username/password not recognised on first install.

06-Oct-2013 Jean-Marie Simonet
 # [#32197] TinyMCE gives PHP notice  Thanks George Wilson

05-Oct-2013 Michael Babker
 # [#32118] Content-Type header is sent twice
 ^ [#32053] Use the new JApplication class in the tinymce editor.  Thanks George Wilson
 # [#31617] Language Overrides list search not working.  Thanks Tito Alvarez
 # [#32140] We lost a border at the BE dropdown menu.  Thanks Tobias Zulauf
 ^ [#31980] com_ajax: Changes response format.  Thanks Piotr Konieczny

05-Oct-2013 Elin Waring
 # [#28348] Don't hard code IDs for update SQL menu items. Thanks Brian Teeman and Michael Babker
 - [#31706] Locally hosted help screens are miles out of date. Thanks Tom Hutchison
 # [#32158] Type ids all saving as 0 in map table.
 ^ [#32142] Add target="_blank" for the links to joomla.org and gnu.org at the login screens. Thanks Tobias Zulauf
 # [#32085] js fix for error editing banner in admin. Thanks Rob Clayburn
 ^ [#31772] Sync Http package to Platform 13.1. Thanks Michael Babker
 # [#32103] Can't create a menu item from view metadata.xml. Thanks Thomas Hunziker

05-Oct-2013 Mark Dexter
 # [#32154] Notice in editing banner client. Commit correct patch. Thanks George Wilson.

05-Oct-2013 Jean-Marie Simonet
 # Wrong patch applied for [28214]. Thanks Tristan Bellosa
 # [#32177] *Notice at login when session expires. Thanks Elin Waring
 # com_templates and codemirror problem. Thanks Achal Aggarwal
 # [#32151] No Icon for the component postinstall at hathor. Thanks Tobias Zulauf
 $ [#32171] Improve language string for content history. Thanks Brian Teeman
 # [#32161] TinyMCE 4.0.7 Update. Thanks George Wilson
 # [#32137] No TFA login if site is offline. Thanks Nicholas Dyonisopoulos
 # [#32163] Version control field width. Thanks Roberto Segura
 $ [#32178] Wrong language string in com_templates. Thanks Ram Tripathi
 $ Updating installation lang files: ar-AA, de-DE, he-IL, it-IT, sw-KE, sy-IQ, th-TH

04-Oct-2013 Mark Dexter
 # [#32154] Notice in editing banner client. Thanks Elin Waring.

04-Oct-2013 Jean-Marie Simonet
 # [#31827] Installation doesn't work when installation is in the path. Thanks Nikolai Plath
 $ Updating installation lang file fr-FR
 # [#28234] Addition of notification in Media Manager regarding folder name for Create Folder. Thanks Achal Aggarwal
 # [#28214] Menu Items Could be Saved without Menu Item Type. Thanks Khai Vu Din
 # [#28794] Redirect to homepage instead of 404 with SEF and URL rewrite enabled if no com_content on homepage.
 # Reverting [#28794]

03-Oct-2013 Michael Babker
 + [#31266] GSoC 2013 - Improved Template Manager.  Thanks Ram Tripathi

03-Oct-2013 Jean-Marie Simonet
 # [#32143] *Multilingual improvement: Use static method to check if language associations is enabled  Thanks Roberto Segura
 $ Correcting some small errors in installation lang strings. Thanks Mig Manickam
 $ Adding tinyMCE Malay lang file
 $ Updating installation lang files: ca-ES, da-DK, es-ES, fr=FR, id-ID, lv-LV, mk-MK, ms-MY, ru-RU, sr-RS, sr-YU, ta-IN

02-Oct-2013 Michael Babker
 +$ [#31561] Add support for BCrypt encryption of passwords and rewrite cookie based authentication to use it.  Thanks Elin Waring

02-Oct-2013 Jean-Marie Simonet
 $ Updating installation languages version #
 # Adding Malaysia flag
 $ [#32147] TFA Links as Language Strings. Thanks Tobias Zulauf

01-Oct-2013 Jean-Marie Simonet
 $ Adding Malay ms-MY to installation languages
 # [#32128] *Multilingual install: storing language filter parameters is missing

29-Sep-2013 Jean-Marie Simonet
 # [#31377] New Button Icon in Module Manager for Hathor Missing. Thanks Michael Babker
 # [#32122] Orphaned > in banner.xml. Thanks Troy hall

28-Sep-2013 Michael Babker
 ^ [#32068] Consolidate extension helper classes to CMS tree
 ^ [#32006] Improvements to JHelper and JUcmType.  Thanks Elin Waring
 # [#27063] *Missing weekend translation option for calendar component.  Thanks Jean-Marie Simonet
 ^ [#31579] GSoC 2013: Removing MooTools dependencies from multiselect.js.  Thanks Ashan Fernando
 ^ [#31591] GSoC 2013: Removing MooTools dependencies from installation section.  Thanks Ashan Fernando

26-Sep-2013 Michael Babker
 ^ [#30556] JDatabaseDriver::replacePrefix: Optimization proposal: 100 lines of PHP can be replaced by 1 line of regexp.  Thanks Beat

25-Sep-2013 Michael Babker
 + [#31977] Component for Post-Installation Messages.  Thanks Nicholas K. Dionysopoulos
 # [#31107] *HelperRoute classes generate wrong URLs.  Thanks Hannes Papenberg
 ^ [#31489] Duplicate code reduction in category views and hits standardiation.  Thanks Elin Waring
 ^ [#31517] Reduce duplicate code in category feeds.  Thanks Elin Waring

25-Sep-2013 Jean-Marie Simonet
 # [#32069] Backend 'Edit Account' page doesn't change password.   Thanks Dennis Hermatski.
 # [#32089] *Adding pagination limitbox in overrides manager
 # [#32081] PHP notices when creating a new article. Thanks Achal Aggarwal

24-Sep-2013 Elin Waring
 ^ [#31946] Support new mvc components in com_menus.

23-Sep-2013 Elin Waring
 ^ [#31581] GSoC 2013: Removing MooTools dependencies from front-end components. Thanks Ashan Fernando
 ^ [#31576] GSoC 2013: Removing MooTools dependencies from caption.js. Thanks Ashan Fernando
 ^ [#31865] [JUX] [08] Added some space above the login button on the admin login. Thanks Peter Peter van Westen
 ^ [#31860] [JUX] [03] Added Joomla update message button to top of page on control panel.  Thanks Peter Peter van Westen
 ^ [#32083] Broken front-end article editing layout. Thanks Achal Aggarwal
 # [#32087] Fix small issue with the name of UsersHelper in com_users. Thanks Bruno Batista
 ^ [#30417] Extend individual content helpers from JHelperContent and remove duplicate code. Thanks Edgars Piruška

22-Sep-2013 Michael Babker
 # [#32060] FOF description is show with ?? at language debug and is hardcoded in the xml files. Thanks Tobias Zulauf
 ^ [#32073] Change +1 to 1

22-Sep-2013 Elin Waring
 # [#32071] Unclosed div tag in com_content default view. Thanks Achal Aggarwal
 ^ [#31515] mod_articles_categories: Adding optional number of articles. Thanks Nils Rueckmann
 ^ [#30455] Add current user option to JFormFieldUser. Thanks George Wilson
 ^ [#31580] GSoC 2013: Removing MooTools dependencies from switcher.js. Thanks Ashan Fernando
 ^ [#31578] GSoC 2013: Removing MooTools dependencies from highlighter.js. Thanks Ashan Fernando
 + [#30280] Add random ordering on module Article latest. Thanks Jefferson Nathon
 ^ [#31577] GSoC 2013: Removing MooTools dependencies from progressbar.js. Thanks Ashan Fernando

22-Sep-2013 Roberto Segura
 # [#31770] Update to jQuery 1.10.2 and add jQuery Migrate 1.2.1. Thanks Michael Babker

21-Sep-2013 Michael Babker
 + [#31989] GSOC 2013: Microdata semantics library.  Thanks Pruteanu Alexandru
 # [#32058] Wrong alert class for expired session

21-Sep-2013 Elin Waring
 # [#32056] Add target="_blank" to the joomla.org link at the installation. Thanks Tobias Zulauf
 # [#32023] Hardcoded SQL in com_contact model. Thanks Peter Martin
 # [#32061] Normalise constant in com_ajax. Thanks Tobias Zulauf
 # [#27830] Loss of checked item in user registration back end. Thanks Achal Aggarwal
 ^ [#31475] Update jQuery UI and sortable to 1.9.2 version. Thanks Florian Dal Fitto
 # [#30155] Vague form data manipulation in sortablelist.js. Thanks Tobias Kuhn
 # [#29430] php_network_getaddresses: getaddrinfo failed: Name or service not known. Thanks David Jardin
 # [#30698] JDatabaseMySQLi class does not support IPv6 MySQL server. Thanks Mihail Irintchev

20-Sep-2013 Michael Babker
 ^ [#31727] Migrate application classes from legacy JApplication to JApplicationWeb

20-Sep-2013 Jean-Marie Simonet
 # [#32031] [3.x] Overridable layouts for tinyMCE. Thanks Roberto Segura
 # [#32019] Incorrect component_id for separator items. Thanks David Jardin
 # [#31995] Can not disable Images and links. Thanks David Jardin
 # [#31781] To small tags input field at the FE edit view. Thanks Valentin Despa

19-Sep-2013 Michael Babker
 ^ [#31352] JLayouts improvements for extension developers.  Thanks Roberto Segura

16-Sep-2013 Michael Babker
 # [#31973] Installation loop if sending config yes (3.2 alpha)
 ^ [#31963] Incorrect or inconsistent characters in "close ink" text on alert info popups.  Thanks Marco Richter
 # [#29107] Strict standards and code clean up in com_contact form.  Thanks Piotr Konieczny
 +$ [#31845] Add JHelperMedia and Deprecate MediaHelper.  Thanks Elin Waring
 ^ [#31316] licence (gpl.html) only at the html code?.  Thanks Tobias Zulauf
 # [#31530] Hathor: No tag filters in table overviews of article, categories, newsfeed, weblinks or contact.  Thanks David Jardin
 # [#31826] "Size" column in Maintenance > Clear Cache is incorrect.  Thanks Drew Glaser

16-Sep-2013 Jean-Marie Simonet
 # [#32020] "Articles Categories" Module - cache is not working. Thanks Peter Martin
 + [#31372] Selected tab changes to default after save. Thanks Ashan Fernando

13-Sep-2013 Jean-Marie Simonet
 # [#31987] *Joomla multilingual install: sef and flags issues. Thanks Beat
 $ [#31942] Two factor authentication - Language file. Thanks Brian Teeman
 # [#31985] Remove clear lines at the TinyMCE. Thanks Tobias Zulauf
 # [#31696] Profile 'Web site' field not working well. Thanks Anthony THERREAU

13-Sep-2013 Elin Waring
 # [#31998] Smart Search Index Button broken (Regression).

12-Sep-2013 Jean-Marie Simonet
 + [#31850] The parent item search ajax based on menu location. Thanks Lu Nguyen
 # [#31890] tagged items list has class "list-striped" and "list-condensed" in code. Thanks Elin waring.
 $ Updating Italian Tinymce lang file

11-Sep-2013 Elin Waring
 # [#31753] PGSQL Missing #__ prefix on CONSTRAINT "uc_ItemnameTagid" in installation/sql/postgresql/joomla.sql. Thanks Alan Hicks
 # [#31894] Check for context in vote plugin. Thanks George Wilson
 # [#31749] JModuleHelper::isEnabled always returns true. Thanks Chad Windnagle
 # [#31983] Fix regression due to [31894].

11-Sep-2013 Jean-Marie Simonet
 # [#31848] Archive Articles View frontend
 + Adding Albanian flag
 + Adding Macedonian tinymce lang file

10-Sep-2013 Michael Babker
 # [#31965] Fatal error: Call to undefined method UsersModelUser::loadLanguage().  Thanks Jurian Even
 # [#31948] Beez3: twofactorauth (secretkey field).  Thanks Tobias Zulauf
 # [#31949] Hathor: twofactorauth (secretkey field).  Thanks Tobias Zulauf

10-Sep-2013 Jean-Marie Simonet
 # [#31961] *Login Modules wrongly display tips (RTL and LTR)
 $ [#31923] Replace non-existent word multilanguage. Thanks Brian Teeman
 # [#31181] Overflow of text into other column.
 $ [#31944] Standardise on select not check. Thanks Brian Teeman
 # [#31840] Can not set class to calendar input. Thanks Achal Aggarwal
 # [#31929] mod_footer : year do not convert to other calendar like persian language that use hijri date. Thanks Mohammad Hasani Eghtedar and Carsten Wirtz
 # [#31913] Search results in Template Manager contain more than just templates. Thanks Elin Waring
 # [#31854] The Module "All Modules" is lost at testing sample data (mysql). Thanks Tobias Zulauf

08-Sep-2013 Michael Babker
 # [#31955] Two factor authentication is broken in the back-end. Thanks Nicholas Dionysopoulos
 # [#31950] Hathor: twofactorauth (user manager). Thanks Nicholas Dionysopoulos

08-Sep-2013 Elin Waring
^+ [#31930] Ordering Form Field Changes Thanks George Wilson

08-Sep-2013 Jean-Marie Simonet
 +$ [#31725] Joomla multilingual site automatic installer. Thanks Carles Serrats and Javier Gómez

07-Sep-2013 Jean-Marie Simonet
 # [#31707] Regression: [#29933] prevents showing only page header. Thanks George Wilson
 $ [#31883] Replace all instance of Super Admin with Super User in languages files. Thanks Brian Teeman
 $ [#31888] Standardising on plugin instead of plug-in. Thanks Brian Teeman
 $ [#31917] Remove double space. Thanks Brian Teeman
 # [#31914] mod_footer - replacement in language override string doesn`t work correct. Thanks Carsten Wirtz
 # [#31876] Contact Icons are missing when selecting new ones. Thanks Carsten Wirtz
 $ [#31886] Standardise on check-in language strings. Thanks Brian Teeman
 # [#31896] Stupid return in contact component table. Thanks George Wilson
 # [#31884] *Smart search Index and Statistics buttons broken if lang debug is on
 $ [#31846] Small correction to franglais in languages strings. Thanks Brian Teeman
 # [#31936] Add active class to breadcrumb module for more bootstrap compatibility. Thanks Michael Babker.

06-Sep-2013 Michael Babker
 +$ [#31704] Two factor authentication for Joomla!. Thanks Nicholas Dionysopoulos

06-Sep-2013 Jean-Marie Simonet
 #$ [#31885] TinyMCE horizontal Resizing. Thanks George Wilson
 $ [#31934] Change language strings in System - Log Component. Thanks George Wilson
 # [#31828] Missing error message in single article menu item. Thanks Carsten Wirtz
 # [#31254] *Print icon and print text in print popup not stylable

05-Sep-2013 Michael Babker
 + [#31844] Rapid Application Framework (Joomla! RAD).  Thanks Nicholas Dionysopoulos
 # [#30815] Check updates for extensions causes long list in Apache error.log.  Thanks George Wilson
 # [#31924] Regression with ContentHistory commit.  Thanks Thomas Hunziker
 ^ [#31925] Code Optimisation Issue for JHelperContenthistory.  Thanks George Wilson

03-Sep-2013 Michael Babker
 + [#31800] Add Joomla Ajax Interface to core.  Thanks Matt Thomas
 # [#31915] *Strict Standards: Only variables should be passed by reference when saving/deleting lang override.  Thanks Jean-Marie Simonet

03-Sep-2013 Jean-Marie Simonet
 $ Adding Tamil to tinymce lang files

02-Sep-2013 Mark Dexter
 # Fix code-style issues from [#30944] Content versioning. Thanks George Wilson.

02-Sep-2013 Jean-Marie Simonet
 +$ [#30944] Content versioning for core and third-party components. Thanks Mark Dexter

28-Aug-2013 Michael Babker
 $^ [#31009] Add a switch to turn mail sending on/off.  Thanks Roland Dalmulder

28-Aug-2013 Jean-Marie Simonet
 #^ [#31389] TinyMCE 4.0.5 Update. Thanks George Wilson
 + [#31774] Add the Framework DI Container to the CMS. Thanks Don Gilbert

27-Aug-2013 Jean-Marie Simonet
 # [#31795] No Bootstrap dropdown FE newsfeed category + tags. Thanks Tobias Zulauf
 # [#31836] *JFile::makeSafe lets upload files with space in name
 # [#31545] Numeric tags and SEF. Thanks Marco Richter
 # [#31838] Make the contact modal form field work on non-mysql db's. Thanks George Wilson

25-Aug-2013 Jean-Marie Simonet
 # [#31830] Fatal pass by reference error in MediaHelper Take 2. Thanks Elin Waring
 # [#29973] Searching for updates throws out exception when url doesn't return body content. Thanks Piotr Cz

24-Aug-2013 Elin Waring
 ^ [#31005] Move JMenu, JRouter, and JPathway to the CMS tree. Thanks Michael Babker
 # [#31036] Search is broken on Chrome (and possibly reveals Joomla installation path). Thanks Roberto Segura
 # [#31786] get_html_translation_table requires encoding value for PHP 5.4. Thanks Tobias Zulauf

24-Aug-2013 Michael Babker
 # [#31074] Cannot call abstract method FinderIndexer::toggleTables()
 # [#29758] *Media Manager Maximum Upload Size.  Thanks Ram Tripathi
 # [#30692] *wrong display of attribute in readonly user field.  Thanks Jean-Marie Simonet
 # [#31831] Beez3: image overflow.  Thanks Tobias Zulauf
 $# [#31699] Remove last uses of JDispatcher.  Thanks George Wilson
 ^ [#31629] Fix https problem if you are using Google Fonts protostar Template.  Thanks Ervis Tusha
 ^ [#30718] minor code optimization: libraries/legacy/html/menu.php.  Thanks Jan Schönherr

23-Aug-2013 Jean-Marie Simonet
 # Reverting [#31641] which breaks Notices (File Type error message not displayed)

22-Aug-2013 Jean-Marie Simonet
 # [#31804] Two classes assigned to pagination links. Thanks George Wilson
 # [#31641] Fatal pass by reference error in MediaHelper. Thanks Elin Waring
 # [#31796] Beez3: Login form. Thanks Tobias Zulauf
 # [#31799] Missing maxlength attribute for input type password in Joomla 3.x. Thanks Ionut Lupu
 # [#31750] class attribute for form field type media will be ignored. Thanks Anthony THERREAU
 # [#31619] Fix subpackage tag in layouts + copyright. Thanks Brian Teeman
 # [#30144] Obsolete class 'ModulesHelperXML'. Thanks Elijah Madden
 # [#31662] Splitting the file containing JObserverMapper into own files for each interface / class. Thanks Thomas Hunziker
 # [#28349] Incorrect ordering in Newsflash module. Thanks Gregory Wyman and Brian Teeman
 # [#31813] Add nav-pill class to top menu. Thanks Brian Teeman
 # Updating Russian flag. Thanks Peter Farrer
 # [#31273] Sample Blog: ordering of menu items in main menu. Thanks Stefania Gaianigo

21-Aug-2013 Jean-Marie Simonet
 # [#31793] No Bootstrap dropdown edit profil FE. Thanks Tobias Zulauf
 #$ [#31794] Untranslated string at the FE profil. Thanks Tobias Zulauf
 # [#31724] Error pages: charset not defined - XSS risk.
 # [#31778] Rows in #__contentitem_tag_map table not deleted during category delete. Thanks Mark Dexter

18-Aug-2013 Jean-Marie Simonet
 # [#31775] Sample data for Joomla Announcements Feed is wrong. Thanks Elin Waring
 $ [#30664] User Categories helps screen strings missing. Thanks George Wilson

17-Aug-2013 Jean-Marie Simonet
 # [#31649] During Installation, PHP Setting Display Errors is Not Reported/Identified Correctly. Thanks Chad Windnagle
 # [#30934] Language Pack Install fail on Joomla V3.1.1 with PostGreSQL DB Backend. Thanks Michael Babker
 # [#31556] Strength meter of password field. Thanks Achal Aggarwal
 # [#31754] *mod_feed issues in FE as well as BE. Thanks Achal Aggarwal

15-Aug-2013 Michael Babker
 # [#31732] administrator/components/com_admin/sql/updates/postgresql/3.0.3.sql has wrong type should be integer instead of int(11).  Thanks Alan Hicks

15-Aug-2013 Jean-Marie Simonet
 # [#31744] Featured articles menu item error. Thanks Anthony THERREAU
 # [#30572] No backend javascript validation on com_content option input fields. Thanks Duong Nguyen
 # [#31717] output mod_newsfeed. Thanks Przemysław Pałyga

14-Aug-2013 Jean-Marie Simonet
 # [#31692] JFormFieldUrl garble HTML with emtpy class. Thanks Anthony THERREAU
 #$ [#31631] Small typo fix in Plugin. Thanks Gunjan Patel
 $ [#31714] Confusing text "search by tag" in the banner module. Thanks Brian Teeman
 + [#31436] *Create a update button to list new Help servers. Thanks Julien Vonthron

12-Aug-2013 Jean-Marie Simonet
 # [#31703] Fixed BC issue with tooltip/popover being added in wrong place. Thanks Peter Van Westen
 $ [#31210] Add the "!" at the mod_menu.ini for the adminmenu "Help". Thanks Tobias Zulauf
 # [#31697] *Tags menu items: impossible to delete the last "Type". Thanks Roberto Segura.
 $ [#31365] Statistics Module 'Visitors' should be 'Registered users'. Thanks Stefania Gaianigo and Brian Teeman
 # [#30413] Calender popup problem in pages containing calendar fields. Thanks Achal Aggarwal
 # [#31658] correct header for some ini files. Thanks Tobias Zulauf
 # [#31695] Installation screen shows placeholder instead of email address. Thanks Achal Aggarwal

11-Aug-2013 Jean-Marie Simonet
 # Reverting #31697 which breaks installation.
 # [#31726] Saving with no tags gives sql error. Thanks Elin Waring

10-Aug-2013 Jean-Marie Simonet
 # [#31597] Undefined variable in com_banners model. Thanks Mario Proenca
 # [#31432] News Feed Manager: News Feed Page. --> System does not displayed the proper tootl tip. Thanks Sebastian Łuckoś
 # [#31685] No article Message does not Show on Blog category. Thanks Brian Teeman
 # [#31697] *Tags menu items: impossible to delete the last "Type". Thanks Achal Aggarwal

09-Aug-2013 Jean-Marie Simonet
 # [#31694] No search result at the contacts, weblinks, newsfeeds, categories. Thanks Carsten Wirtz
 # [#31639] Com_search is using mb string functions (regression)
 # [#31701] Article, newsfeeds, contact modal Clear button broken. Thanks Philip Schell
 $ [#30629] Menu Item "Type" for Tags should probably change to "Content Type". Thanks Brian Teeman
 # [#31689] remove "input-append" in login module. Thanks Constantin Romankiewicz
 # [#30794] Title admin module doesn't disable the component toolbar title. Thanks Michael Babker
 # [#31412] We can't look what "search results" have searches that are not viewed in first pagination page. Thanks Bojan Nišević
 #+ [#31368] jdoc:include tag fails on type "component" and "head" without space before "/>". Thanks Lu Nguyen
 # [#31711] Cannot delete web site entry for a contact. Thanks Achal Aggarwal
 + [#31596] Language field improvements + registration language. Thanks Roberto Segura

07-Aug-2013 Jean-Marie Simonet
 $ [#31606] Small typo fix in lang. Thanks Brian Teeman
 # [#31314] language change dropdown at installation don't work if you scroll down. Thanks Lu Nguyen
 # [#23638] *Uninstalling 2 different extensions gets only one message. Thanks Thong Tran
 # [#31683] In debug mode with mysqli some extensions have warnings when freeing mysqli cursor themselves. Thanks Beat
 # [#31410] Warnings at the offline screen looks bad. Thanks Lu Nguyen
 # [#31197] Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead. Thanks Yurii Korotia
 #$ [#31622] *Media Manager doesn't cope with folder names that include spaces. Thanks Richard McDaniel
 # [#31633] Detailed changelog in readme.txt points to SVN which is out of date. Thanks Brian Teeman

06-Aug-2013 Jean-Marie Simonet
 # [#31478] User Note could be saved without User ID. THanks Khai Vu Dinh
 # [#31648] TAGS Options: Wrong Color on Option Selection.

05-Aug-2013 Jean-Marie Simonet
 # [#31659] Dropdown at frontend search. Thanks Tobias Zulauf
 # [#31350] Missing space in Calendar.
 # [#31676] *Isis: Filter drop-down items hidden by status bar
 # [#31661] Unclosed span tag in debug console. Thanks Constantin Romankiewicz
 # [#30752] J! Update component - > empty custom URL causes error.

04-Aug-2013 Michael Babker
 # [#30834] Template errors when no CSS folder.  Thanks Rune Sjøen
 # [#31318] Bad display of images at Media Manager (IE/FF22).  Thanks Lu Nguyen
 # [#30445] mod_feed template error when displaying feed title.  Thanks Ben Eberle

04-Aug-2013 Jean-Marie Simonet
 # [#31382] Added min-width to (bootstrap) radio buttons to prettify settings. Thanks Peter van Westen
 # [#30027] Impossible to enter custom module position name if you have less than about 8 positions in the list. Thanks Sebastian Łuckoś
 # [#31354] To much clear lines at the Media Manager Options. Thanks Tobias Zulauf
 # [#31511] JRouter needs to take $uri by reference to properly pass it to rules. Thanks Klas

03-Aug-2013 Jean-Marie Simonet
 # [#31297] Content language manager missing drag drop ordering. Thanks Nguyen Huu Hien
 # [#27476] Menu types view not sorted alphabetically. Thanks Lao Neo
 # [#31586] Typo in model administrator/components/com_content/models/article.php. Thanks Volkmar Schlothauer and Brian Teeman
 # [#31536] Adding filters in backend Installation Discover view for 3.x. Thanks Gunjan Patel
 # [#31564] Missing images in sample data categories. Thanks Roland Dalmulder
 #$ [#30793] Spelling error in the title of the Edit Article Category screen
 #$ [#31357] Add the Default parameter to the colour options for the templates to the desc strings. Thanks Tobias Zulauf
 # [#31411] Show Offline image only if it exists. Thanks Tobias Zulauf
 # [#31360] The site is offline but anyhow the error page will show (e.g. at a 404 error). Thanks Mihail Irintchev
 # [#31440] Cleanup & fixes for the admin menu. Thanks Sander Potjer
 # [#31387] Button class missing for export banner tracks. Thanks Brian Teeman
 # [#31554] Module manager allows positions with trailing spaces. Thanks Richard McDaniel
 # [#31632] Small data type fix in phpdoc. Thanks Gunjan Patel
 # [#31384] Hathor - Modal broken. Thanks cata castillo
 # [#30806] Incorrect database type in the Statistics site module. Thanks Brian Teeman
 # [#31439] email cloaking inserts space. Thanks Peter Martin
 # [#31480] Dropdown look and fix in Message Select user modal view. Thanks Gunjan Patel
 # [#29696] Weblink revision is not incremented. Thanks Dennis Hermatski

02-Aug-2013 Jean-Marie Simonet
 $ Updating installation lang files: ru-RU, sv-SE

-------------------- 3.1.5 Stable Release [01-Aug-2013] ------------------

31-Jul-2013 Michael Babker
 # [#31620] Some plugins cause blank pages in 3.1.4.  Thanks Don Gilbert
 # [#31607] REGRESSION: Changing the autoload order in a point release.  Thanks Don Gilbert
 # [#31598] Fix for B/C break related to Tag saving using *old* way.  Thanks Thomas Hunziker

30-Jul-2013 Jean-Marie Simonet
 # [#31609] *Regression: [#30150] prevents subcategories drilldowns

28-Jul-2013 Jean-Marie Simonet
 # [#31585] Can't add tags to articles in 3.1.4. Thanks Roberto Segura

27-Jul-2013 Michael Babker
 # [#31565] CamelCased view classes are broken in J!3.1.4.  Thanks Jean-Marie Simonet

27-Jul-2013 Jean-Marie Simonet
 # [#31590] *New registration password field is displayed as Optional

-------------------- 3.1.4 Stable Release [26-Jul-2013] ------------------

25-Jul-2013 Michael Babker
 # [#31550] SQL error if profiling not available/not activated in mysql (3.1.2 pre release).  Thanks Beat

24-Jul-2013 Jean-Marie Simonet
 # [#31548] Toolbar: Different version of CSS vs LESS files + mobile resolution fixes. Thanks Roberto Segura

23-Jul-2013 Michael Babker
 # [#31500] Hathor: No Batch at some Managers.  Thanks Angelika Reisiger
 # [#31547] IDN library missing from update sql files 3.1.2+master.  Thanks Elin Waring
 # Incorrect quoting in PostgreSQL 3.1.2 updates.

-------------------- 3.1.2 Stable Release [23-Jul-2013] ------------------

21-Jul-2013 Mark Dexter
 ^ [#31319] registration option disabled by default is safer. Thanks Brian Teeman.
 + [#31205] Automatically set $db and $app properties on plugins. Thanks Don Gilbert.
 # [#30677] Need to update the readme files. Thanks David Hurley.
 # [#31428] 3.1.2 backend menus don't react like previous version. Thanks Jérôme Glatigny.

21-Jul-2013 Michael Babker
 # [#31401] Fixed issue with $query object being overwritten by string.  Thanks Peter van Westen

21-Jul-2013 Jean-Marie Simonet
 + [#31349] Display Error Message when Magic Quotes is Enabled. Thanks Brian Teeman
 #+ [#31488] Add Observer pattern to JTable (and use it for Tags implementation (which also fixes [#31339] too). Thanks Beat.

20-Jul-2013 Jean-Marie Simonet
 # [#31496] DEBUG_BACKTRACE_IGNORE_ARGS not supported in PHP 5.3.1-5.3.5. Thanks Beat
 # [#31533] User Interface allows tags in Banner Categories but it should not. Thanks Elin waring
 # [#31522] No tag fields in hathor - you can't write Tags in component items. Thanks Elin Waring

19-Jul-2013 Jean-Marie Simonet
 # [#31525] Files uninstall is failing due to missing variable. Thanks Michael Babker

17-Jul-2013 Jean-Marie Simonet
 # [#31476] Remove unneeded GROUP BY and fix duplicate article display. Thanks Thomas Hunziker
 # [#31445] Default value tag menu-items. Thanks Constantin Romankiewicz

14-Jul-2013 Jean-Marie Simonet
 # [#31455] Regression by [#31278]. Thanks Beat

12-Jul-2013 Jean-Marie Simonet
 # [#31362] Various PHP notices and strict errors. Thanks Mark Dexter
 # [#31376] JToolbar layout change breaks mobile. Thanks Roberto Segura

10-Jul-2013 Jean-Marie Simonet
 ^ [#31388] Admin login shows language option. Thanks Brian Teeman
 ^ [#31383] Article manager options. Thanks Brian Teeman
 # [#30957] System cache issue. Thanks Dennis Hermatski
 # [#31208] No border bottom right radius and border bottom top radius for buttons at com_finder view (2). Thanks Peter van Westen.

09-Jul-2013 Jean-Marie Simonet
 $ Updating installation lang files: eo-XX

08-Jul-2013 Jean-Marie Simonet
 $ Updating installation lang files: et-EE, fa-IR, nl-NL, vi-VN
 ^ [#31219] Update to PHPMailer 5.2.6. Thanks Michael Babker.
 # [#31044] media manager overlay preview broken 2. Thanks Landor LeBaron
 # [#30790] Typo in header makes header useless. Thanks Tino Brackebusch

07-Jul-2013 Michael Babker
 # [#31371] Commit for issue 31351 causes PHP notice in Banner Tracks

07-Jul-2013 Jean-Marie Simonet
 # [#31270] Fix help screens links in sample testing data. Thanks George Wilson
 ^ [#31351] Convert JToolbar to render toolbar items with JLayout. Thanks Michael Babker
 $ Updating installation lang files: nb-NO, ta-IN

06-Jul-2013 Elin Waring
 ^ [#31275] Change use of self:: to static:: in JHtml helpers.  Thanks Michael Babker
 # [#30870] Fix some mistakes. Thanks Rasmus Lerdorf

06-Jul-2013 Michael Babker
 # [#31296] Edit profile button comes before page-header instead of after.  Thanks Rob de Cleen
 ^ [#31355] *Multilanguage: Adding bootstrap tooltips to the associations button.  Thanks Jean-Marie Simonet
 # [#31363] Commit for issue 30966 garbles HTML for URL's in forms.  Thanks Mark Dexter
 # [#31361] SQL Error in Banner Manager: Clients.  Thanks Mark Dexter
 + [#31289] Add JResponseJson as a CMS library class.  Thanks Patrick Alt
 ^ [#30607] Removing the array part in field_mappings.  Thanks Thomas Hunziker

06-Jul-2013 Jean-Marie Simonet
 ^$ [#31190] *Multilanguage improvement: edit associated items in the Association Tab. Thanks Dennis Hermatski.
 $ [#31290] Add Debug User Group Help Screen language string. Thanks George Wilson
 $ [#31291] Remove timezone data from language file. Thanks Brian Teeman.
 $ [#31207] Can't find "Purge Cache" at Install language. Thanks Tobias Zulauf
 $ Updating installation lang files: bg-BG, es-ES, zh-CN, zh-TW
 # [#31348] Regression for plugin filter search with spaces in the title. Reverting
 # [#31345] Correct typo in deprecated logging. Thanks Brian Teeman
 # [#29432] All parameters passed to Bootstrap's modal window always set to true. Thanks Michael Babker
 # [#31213] Redundant code. Thanks Achal Aggarwal and Mark Antoine Thevenet

05-Jul-2013 Jean-Marie Simonet
 $ Updating installation lang files: af-ZA, be-BY, ca-ES, da-DK, de-DE, he-IL, hr-HR, hu-HU, pl-PL
 # [#31105] Truncate introtext can break html. Thanks Chad Windnagle
 # [#31278] Improve counting of results in queries. Thanks Matias Griese
 # [#31179] code quality, mod_breadcrumbs. Thanks David Hurley and Denis Biwebco
 # [#31346] Parent tag field not working. Thanks Elin Waring

04-Jul-2013 Jean-Marie Simonet
 # [#31138] Correct the Bug after #31034. Thanks Tobias Zulauf and Peter Wiseman
 # [#31324] Fixed error about Undefined property JTableUser::$checked_out when saving a user. Thanks Peter van Westen
 # [#31327] Debug plugin (git master version only) doesn't catch SQL errors. Thanks Beat.
 # [#31340] *PHP notice when saving weblink
 # [#31338] Exception when saving articles etc with no tags. Thanks Elin Waring
 $ Updating Installation lang file: lv-LV. Adding el-GR
 # [#31325] Modified date used instead of created date in article layout. Thanks Brian Teeman
 # [#31320] Modified date used instead of created date in featured layout. Thanks Brian Teeman

03-Jul-2013 Jean-Marie Simonet
 # [#31321] Fixed issue with tooltip text not being escaped when no title is given. Thanks Peter van Westen
 # [#31322] Made title of search boxes show as tooltip. Thanks Peter van Westen
 ^ [#31214] Added method to generate the check-all checkbox in grids. Thanks Peter van Westen
 # [#31310] Password rule warning in 5.3. Thanks Elin Waring
 # [#31220] Invalid Feed URL for Module Feed Display causes generation of page "The requested page cannot be found". Thanks Elin Waring
 # [#31293] Allow all password error messages to be shown. Thanks George Wilson.
 # [#31256] Commit for issue 30966 garbles HTML for emails in forms. Thanks George Wilson.

01-Jul-2013 Jean-Marie Simonet
 ^ [#30849] Show alias for menu items on menu assignement. Thanks David Hurley
 $ Updating Installation lang files: ar-AA, fi-FI, ja-JP, sy-IQ, uk-UA
 # [#31229] Fixed: DebugGroup not working. Thanks Peter van Westen
 # [#31066] Cleanup Tag Storing. Thanks Nicolas Dionysopoulos and Elin Waring.
 # [#31280] Loadmodule support for htmlspecialchars in title. Thanks Peter Wiseman

01-Jul-2013 Elin Waring
 # [#31298] Drop downs on menu item edit are broken. Corrects #31060.

30-Jun-2013 Jean-Marie Simonet
 # [#31188] Fixed issue with not being able to select color white. Thanks Peter van Westen
 # [#31098] *UX Suggestions for Batch button

29-Jun-2013 Jean-Marie Simonet
 $ [#27307] English only: weblink or web link. Web Link or Web link. Thanks George Wilson
 # [#31285] Joomla Installation is broken with the current git!

28-Jun-2013 Jean-Marie Simonet
 # Correcting #31772
 ^ [#31267] *Switching to Bootstrap tooltips. Thanks Peter van Westen and Michael Babker.
 #^ [#31143] Registration with invalid password when non-core template. Thansk Elin Waring
 # [#31172] X at hathor messages. Thanks Tobias Zulauf
 ^ [#31087] Add SQL queries profiler in Debug zone with backtrace of call and EXPLAIN hovers. Thanks Beat
 ^ [#31060] Show item title on the Edit page
 ^ [#31100] UX "showon": Dynamic options in the Joomla Backend. Thanks Jérôme GLATIGNY

27-Jun-2013 Elin Waring
 $ [#31272] Fix tags help screen views. Thanks George Wilson
 ^ [#1313] Simplify magic getters in third party API classes. Thanks Michael Babker

27-Jun-2013 Michael Babker
 ^ [#30783] Use JDatabase instead of MySQL queries on com_menus.  Thanks Matias Aguirre
 # [#31157] Field mapping for core_urls is wrong for weblinks.  Thanks Elin Waring
 ^ [#30977] loadmodule/loadposition styles.  Thanks Lasindu Charith
 # [#30895] Fix An undefined variable called in JApplication.  Thanks Roberto Segura
 ^ [#30871] Remove an unneeded empty().  Thanks Elin Waring
 # [#30946] Platform bug fixes.  Thanks Elin Waring
 # [#31208] No border bottom right radius and border bottom top radius for buttons at com_finder view.  Thanks David Hurley
 # [#31150] Weblinks images.  Thanks Elin Waring
 !^ [#31080] Deprecating X-Content-Encoded-By.  Thanks Piotr Konieczny
 ^ [#31216] Improved some syntax.  Thanks Peter van Westen
 ^ [#31069] Sync Log package to Platform.

27-Jun-2013 Jean-Marie Simonet
 $ Updating Installation lang files: bs-BA, cs-CZ, fr-FR, id-ID, it-IT, mk-MK, sk-SK, sr-RS, sr-YU, sw-KE, ta-IN, th-TH, tr-TR
 $ [#31263] Missing JHELP Keys from 5 Tags Adiministrative Views, Help Buttons do not resolve correctly. Thanks Tom Hutchison

26-Jun-2013 Mark Dexter
 # Revert [#31233] Complete move to Bootstrap tooltips.

26-Jun-2013 Jean-Marie Simonet
 ^ [#31233] Complete move to Bootstrap tooltips. Thanks Peter van Westen.

25-Jun-2013 Jean-Marie Simonet
 # [#31232] Fixed bootstrap.min.js [#31137]. Thanks Peter van Westen.
 ^ [#31212] Changed tooltips of table headings from Mootools to Bootstrap. Thanks Peter van Westen.
 ^ [#31218] Added tooltips to simple state buttons in grid views. Thanks Peter van Westen.
 ^ [#31225] Added tooltips to simple state buttons in grid views (com_banners, com_installer). Thanks Peter van Westen.
 # [#31211] Add Tooltip for mod_latest. Thanks Tobias Zulauf.
 # [#31217] Removed useless title on ID checkboxes. Thanks Peter van Westen.
 ^ [#31209] Add the Tooltip for "Clear" at Joomla! Help. Thanks Tobias Zulauf.
 # [#31148] wrong check for permissions to edit weblinks in frontend. Thanks Philippe Saint-Pierre and Tobias Zulauf
 ^ [#31231] Removed useless row id columns Edit. Thanks Peter van Westen.

23-Jun-2013 Jean-Marie Simonet
 # [#31137] Changed tooltip html behavior back to pre-bootstrap 2.3.2 (so default on). Thanks Peter van Westen.
 + [#30966] Add handling for punycode urls and emails and fix a number of places where urls and emails are used. Thanks Elin Waring
 # [#31168] Add chosen.css for com_templates and com_admin. Thanks Tobias Zulauf
 # [#30465] ACL dropdown hidden. Thanks Artur Alves
 # [#31199] *Various tooltips issues in back-end.

21-Jun-2013 Jean-Marie Simonet
 $ Missing language string (hardcoded)
 # [#31186] Some HTML errors. Thanks Achal Aggarwal
 # [#31195] *Isis: Bootstrap tooltip displays only one line, truncates tip

20-Jun-2013 Michael Babker
 ^ [#30479] Cleanup of unused variables.  Thanks Peter van Westen

20-Jun-2013 Jean-Marie Simonet
 + [#29945] Joomla administration shows the Name of the author, not the User Name. Thanks Stefania Gaianigo
 $ [#31176] Change the Language String for the Language Keyword INSTL_ADMIN_USER_DESC. Thanks Ilagnayeru 'MIG' Manickam
 # [#31158] *Multilanguage: Editing an article in frontend deletes its associations. Thanks Benjamin Trenkle.
 # [#31184] *Multilanguage: Frontend article edit may break when using associations.
 # [#31189] Some fields are missing from the tags edit screen. Thanks Elin Waring
 # [#31167] Add class="btn-group" for hathor Options. Thanks Tobias Zulauf
 # [#30751] No image for Tag Component at the template Hathor. Thanks Andrea Tarr and Ulrika Hall
 $ [#31173] Only default/global Filter Label for seach at the Extensions Manager. Thanks Tobias Zulauf
 # [#31175] More text as we need at Text Filters. Thanks Tobias Zulauf
 # [#31125] Category images don't show in Categories list. Thanks David Hurley
 # [#31166] Undefined property: JTableCorecontent::$metakey. Thanks Fedik Zinchuk
 # [#30756] Blog layout has duplicate elements with "icons" ID. Thanks David Hurley.

13-Jun-2013 Jean-Marie Simonet
 ^ [#31134] *Improving Content Languages edit and manager. Thanks Benjamin Trenkle and Roland Dalmulder
 # [#31147] *Install sample data None does not display tooltip.
 # [#31108] Fatal erorr right after install. Thanks Klas and Michael Babker
 $ [#26548] [patch] incorrect error check in menus.php. Thanks Rob Clayburn and Ben Tasker
 # [#30779] Fatal error in single contact category list if category is unpublished. Thanks Elin Waring.
 # [#31122] archived articles module shows multiple entries same month. Thanks David Hurley.
 # [#31128] Double category description newsfeed categories. Thanks Rob de Cleen and David Hurley
 # [#30150] com_content loads articles before error checking. Thanks Richard McDaniel.
 # [#29424] Multilevel select collapsed. Thanks Sergey Romanov.
 + [#31130] Added js files to protostar template and modified index.php. Thanks Buddhima Wijeweera
 # [#30576] $isNew not being passed to onContentBeforeSave. Thanks Elijah Madden

11-Jun-2013 Jean-Marie Simonet
 $ Adding Czech cs-CZ to installation language files

09-Jun-2013 Jean-Marie Simonet
 # [#30954] Support for accent-insensitive search using the default search component. Thanks Viliam Kubis
 # [#29560] jumping column in Contact Manager: Contacts. Thanks Daria Mikhailova and Roland Dalmulder

08-Jun-2013 Jean-Marie Simonet
 # [#31073] Preview image has height of max 18px. Thanks Piotr Konieczny
 # [#29766] Missed ordering lists in User Manager. Thanks Aleksander Linkov
 # [#30675] Display incorrect for type checkboxes. Thanks Chad Windnagle
 # [#31099] Incorrect Access Levels in Tags List View. Thanks Justin Herrin and Chad Windnagle

07-Jun-2013 Jean-Marie Simonet
 + [#31106] Added Belgian flag for mod_languages. Thanks Fonny Smets
 # [#30804] [3.x] *plug-in manager search give errors and warning for '/','*' and '\

07-Jun-2013 David Hurley
 + [#30370] Added ability to add sprintf variables to JText string. Thanks Peter van Westen

06-Jun-2013 Michael Babker
 + [#30324] *Added ability to restrict the number of displayed results to mod_related_items.  Thanks Ben Tasker and Jean-Marie Simonet

04-Jun-2013 Jean-Marie Simonet
 ^ [#30973] Bootstrap 2.3.2 update. Thanks Anibal Sanchez
 # [#30757] Unpublished blog items output an extra DIV closure, breaking layout. Thanks David Hurley
 # [#30990] 404 Component not found" doesn't added to redirect component, more. Thanks Ofer Cohen

02-Jun-2013 Michael Babker
 ^ Sync Github package to Platform 13.1

01-Jun-2013 Michael Babker
 # [#31057] Missing Read More Button in editing articles.  Thanks Hans Kuijpers
 # [#30909] Batch process modules doesnt allow new module positions.  Thanks Chad Windnagle
 # [#31039] Error when a 'Manager' deletes a category.  Thanks Tobias Zulauf
 # [#30693] Unclosed span tag in permissions field.  Thanks Dennis Hermatski
 # [#31045] HITS Column Admin Panel.  Thanks David Hurley
 # [#31034] Not colored text as in joomla 2.5 for com_redirect.  Thanks Tobias Zulauf
 # [#30544] Article Alternative Layout is not applied in Single Article menu item.  Thanks Dennis Hermatski
 # [#31026] Fatal error: Class 'JFile' not found when saving content override.  Thanks Roland Dalmulder
 ^ [#31032] 'Default' toolbar buttons with different labels.  Thanks Tobias Zulauf
 ^ [#31033] System messages with the "X".  Thanks Tobias Zulauf
 ^ [#31008] Sync up Platform Bootstrap
 # [#30923] Notice in Tags.  Thanks Elin Waring
 # [#30987] Menu type alias does not behave as expected [regression].  Thanks Elin Waring
 # [#30868] MySQL specific syntax used in JTableCorecontent::storeUcmBase()
 ^ [#30983] Move JPagination to the CMS tree
 + [#30525] Add a PSR-0 compatible autoloader to JLoader.  Thanks Don Gilbert
 ^ [#31028] *Multilang code quality normalisation.  Thanks Jean-Marie Simonet
 ^$ [#30077] Install Sample Data - Options are confusing.  Thanks Peter Martin
 # [#31044] media manager overlay preview broken.  Thanks landor landor
 # [#31043] *Status filtering bug in categories Manager.  Thanks Jean-Marie Simonet
 + [#30931] Allow folder names without 's' at the end.  Thanks Elin Waring and Buddhima Wijeweera
 # [#30990] "404 Component not found" doesn't added to redirect component.  Thanks Ofer Cohen
 # [#31064] Wrong access check for com_checkin.  Thanks Sander Potjer
 ^ [#31025] Sync Database package to Platform

24-May-2013 Michael Babker
 + [#31004] Add JTwitter package to /libraries/joomla.  Thanks Diana Prajescu
 ^ [#30985] *New JLayout for edit_associations.  Thanks Jean-Marie Simonet
 #$ [#30994] Untranslated String.  Thanks Jean-Marie Simonet
 # [#30974] Fix offline overflow image.  Thanks Angelika Reisiger
 #$ [#31001] *Missing lang string for Protostar.  Thanks Jean-Marie Simonet
 #$ [#28081] Smart Search Results Page Displays Wrong Modules

24-May-2013 Jean-Marie Simonet
 # [#30689] jQuery not loaded in Isis error page. Thanks Dennis Hermatski
 # [#30945] Wrong error when folder creation not possible due to permissions. Thanks Phil Taylor
 # [#30367] wrong tooltip display at the joomla BE. Thanks Constantin Romankiewicz and Tobias Zulauf
 # [#30536] Allow plugins to add dynamically menu types to the list constructed from XML files. Thanks Beat
 ^ [#30497] Consolidate JHtml classes to CMS tree. Thanks Michael Babker

22-May-2013 Jean-Marie Simonet
 # [#30982] Fast links for item language associations management. Thanks Roberto Segura.
 # [#30956] No published field in Contacts Component
 $ Adding installation languages: Albanian sq-AL

22-May-2013 Elin Waring
 # [#30980] Undefined variable extension. Thanks Roberto Segura

21-May-2013 Jean-Marie Simonet
 # [PR #1173] Hotfix for failure on user. Thanks David Hurley.

19-May-2013 Michael Babker
 # [#30771] Extension Manager Check Database doesn't handle SQL queries with leading comments.  Thanks Mark Dexter
 #$ [#30867] More ':' than we need at Mass Mail.  Thanks Jean-Marie Simonet
 # [#30880] Article Count at beez3.  Thanks David Hurley
 ^ [#30819] Removes unnecessary clearfix divs.  Thanks Seth Warburton
 # [#30754] Wrong display of the Debug Console (404 Error).  Thanks Brian Teeman
 ^ [#30658] Adds WAI-ARIA Landmark Roles to Protostar.  Thanks Seth Warburton
 ^ [#30918] Code duplication removal for saveOrderAjax.  Thanks Elin Waring
 # [#30814] Undefind line at isis cpanel.  Thanks Tobias Zulauf
 # [#30932] Missing variable in gmail authentication.  Thanks Janich Rasmussen
 ^ [#30777] Removes html elements used in the wrong context.  Thanks Seth Warburton
 ^ [#30673] Improving query for similar tags module.  Thanks Thomas Hunziker
 # [#30695] Duplicate <div class="control-group"> for tags field.  Thanks Dennis Hermatski
 # [#30500] Show / Hide Filter Field not working in tags layouts.  Thanks Mark Dexter
 # [#30906] *Batch usage needs strict permissions.  Thanks Jean-Marie Simonet
 # [#30947] Bugs at the debug console if i select some images (e.g. the offline image at the global configuration).  Thanks Tobias Zulauf
 ^ [#30898] Corrects styling issues with mod_articles_category by removing h tags.  Thanks Seth Warburton
 # [#30949] Feed module generates empty list for non-existing entries.  Thanks Radek Suski
 # [#30833] Fixes issues from #29922.  Thanks George Wilson
 # [#30726] Error when try to save category with tags.  Thanks Elin Waring

13-May-2013 Jean-Marie Simonet
 $ Updating ko-KR installation language
 #$ [#30740] Site name tooltip not translatable correctly
 # [#30812] *No Joomla Version is display at isis bottom
 ^ [#30663] Default Value for the Option Show Sub-menu Items to be Set as Yes. Thanks Mig
 # [#30873] *Multilanguage: PHP warning when logging.

08-May-2013 Mark Dexter
 # [#30125] Search module does not take into account the 'search only' selected. Thanks Luke Collymore.
 # [#30769] Still There are Reference to Joomla! 3.0 Version in 3.1. Thanks Jean-Marie Simonet.
 # [#28288] Unnesessary initialiazing of tooltips in category blog. Thanks Dennis Hermatski.
 # [#30394] *Javascript translations are not available if caching is enabled. Thanks Dennis Hermatski.

07-May-2013 Mark Dexter
 # Revert [#30125] Search module does not take into account the 'search only' selected. Breaks search.
 # [#30729] Template Editor does not Display well in FireFox. Thanks Aleksander Linkov.
 # [#30691] TinyMCE shows buttons with onclick attribute without space and duplicate class. Thanks Dennis Hermatski.
 # [#30125] Search module does not take into account the 'search only' selected. Thanks Brian Teeman.
 # [#30797] *Wrapper module url field should be required. Thanks Jean-Marie Simonet.
 # [#30017] Problems with calendar pop up in Chrome. Thanks Achal Aggarwal.
 # [#30800] Blog item is not rendering intro image. Thanks David Hurley.
 # [#30787] Select Tags filter cannot be translated correctly. Thanks Elin Waring.
 # [#30431] Removed unused css file: editor_content.css. Thanks Nick Savov.
 # [#30869] Incorrect table names used in the #__content_types table. Thanks Elin Waring.

05-May-2013 Michael Babker
 # [#30727] A unpublished or deleted tag is still visible in 'List of all tags' menu item.  Thanks David Hurley
 # [#30744] tag mappings are not deleted after a tag is deleted.  Thanks Thomas Hunziker
 # [#30566] Tag Items List Layout Background Alternating Color Bug.  Thanks Seth Warburton
 ^ [#30659] Adds html5 elements to Protostar.  Thanks Seth Warburton
 ^ [#30257] Removed colors from Icomoon named icons.  Thanks Peter van Westen
 ^ [#30816] Documentation error.  Thanks Achal Aggarwal
 ^ [#30810] Disable ReCaptcha plugin when Joomla is installed.  Thanks Nick Savov
 # [#30811] Overrides list does not have any markup.  Thanks Roland Dalmulder
 # [#30832] Joomla Updater doesn't use the bootstrap styling.  Thanks Roland Dalmulder

03-May-2013 Jean-Marie Simonet
 # [#30694] Backend toolbar buttons have forbidden attribute href. Thanks David Hurley
 #$ [#30805] *Isis: sidebar background colour issue
 # [#30103] Cannot delete web site entry for a contact. Thanks Elin Waring
 # [#30748] *Multilanguage issue with contacts. Thanks Benjamin Trenkle
 #$ [#30788] com_newsfeeds title is inconsequent in the backend.
 # [#30784] User profile plugin doesn't save the field inputs after J3.1. Thanks Elin Waring

30-Apr-2013 Jean-Marie Simonet
 # [#30488] Wrong default values for weblink icons in layout. Thanks THomas Hunziker.
 #$ [#30381] Create Folder button label - Media Manager. Thanks Glenn Arkell
 #$ [#30618] *Adding filtering by Unprotected extensions in Extensions Manager=>Manage
 # [#29922] Browser Agent Google Chrome on IOS. Thanks Brian Teeman.
 # [#30622] Queries not using JDatabase. Thanks Georges Wilson
 # [#30774] *SEF plugin issue. Thanks Robert Segura.
 #$ [#30737] Incorrect title of the User Note Categories Manager

29-Apr-2013 Jean-Marie Simonet
 $ Removing deprecated lang strings for the flash Uploader

28-Apr-2013 Jean-Marie Simonet
 $ Adding installation languages : ro-RO and gd-GB

-------------------- 3.1.1 Stable Release [26-Apr-2013] ------------------

26-Apr-2013 Mark Dexter
 # [#30702] Only titles display in featured/blogged views when hide intro text is selected.
 # [#30681] Error in Database tab in Extension Manager.
 # [#30697] Invalid tab end in article edit page. Thanks Dennis Hermatski.
 # [#30725] Exception thrown for empty path. Thanks Elin Waring.
 # [#30679] Fix two Tags-related API issues. Thanks Elin Waring.
 # [#30632] *Menu item Alias required setting. Thanks Jean-Marie Simonet.
 # [#29957] Administrator interface dropdown menus not working on tablets. Thanks Denia Si.
 # [#30660] Corrects font-file stack order. Thanks Seth Warburton.
 # [#30668] *Beez3 missing JHtml::_('behavior.caption');. Thanks Jean-Marie Simonet.
 # [#30398] com_tags show "{loadmodule..." when listing items. Thanks Elin Waring.
 # [#30495] Type check line 31, TemplatesHelper::getPositions. Thanks Christoffer Rødvik.

-------------------- 3.1.0 Stable Release [24-Apr-2013] ------------------

23-Apr-2013 Mark Dexter
 # [#30652] Commit for issue 29916 broke Smart Search indexing. Thanks Don Gilbert.
 # [#30639] Hathor Tags issues Tag edit view. Thanks Elin Waring.
 # [#30640] Hathor - Not tag field shown in core content. Thanks Roberto Sequra.
 # [#30653] Use of undefined DEBUG constant. Thanks Elin Waring.
 # [#30603] Tags: Similar Tags Module Shows the same article multiple time. Thanks Thomas Hunziker.
 # [#30642] Creating a new Tag based on existing one, using "Save as Copy" appends a number even the new Title of the copy is different from the original. Thanks Ashan Fernando.

22-Apr-2013 Mark Dexter
 # [#30654] SQL Error in running smart search indexer. Thanks Elin Waring.

22-Apr-2013 Jean-Marie Simonet
 $ [#30655] *TAGS: Wrong constant in en-GB.plg_finder_tags.ini
 $ Adding Hungarian hu-HU installation language

21-Apr-2013 Mark Dexter
 # Fix incorrect commit for [#30617] *Tags: Discover sql not in sync. Thanks Thomas Hunziker.

21-Apr-2013 Jean-Marie Simonet
 # [#30645] *Hathor: Icomoon icons don't show in multiple places
 # Fix loading all categories in multilanguage
 # [#30637] Error when publishing a child tag of an unpublished parent tag. Thanks Elin

-------------------- 3.1 Beta 5 Release [20-Apr-2012] ------------------

20-Apr-2013 Mark Dexter
 # [#30323] tag created iso selected with ajax interface when using keyboard only selection. Thanks Roberto Segura.
 # [#30432] Optimize styling for small devices. Thanks Nick Savov.
 # [#30533] 'banner position missing in Protostar templateDetails.xml file. Thanks Kevin Griffiths.
 # [#30555] JTableContenttype->save() breaks type_alias. Thanks Thomas Hunziker.
 # [#30592] Module Class Suffix	 should be a multiline text area. Thanks Ben Tasker.
 # [#30595] Fixing "urls" within TagsTableTag->bind(). Thanks Thomas Hunziker.
 # [#30596] Access Level in weblinnks manager is displaying as number. Thanks Elin Waring.
 # [#30599] Backward Compatibilty break in JHtmlBootstrap::addPanel and ::startPane. Thanks Yannick Gaultier.
 # [#30617] *Tags: Discover sql not in sync. Thanks Thomas Hunziker.
 # [#30621] Fix batch issues, metadata issues and improve code quality. Thanks Elin Waring and Mark Dexter.

17-Apr-2013 Mark Dexter
 # [#30458] Tags: Fatal Error with 3rd Party Component That Uses Categories. Thanks Patrick Alt.
 # [#30588] Fixing Tag view if core_access is not set. Thanks Thomas Hunziker.

16-Apr-2013 Mark Dexter
 # [#30584] JUcmContent can't construct from alias / error in install SQL. Thanks Thomas Hunziker.

15-Apr-2013 Mark Dexter
-------------------- 3.1.0 Stable Release [24-Apr-2013] ------------------

23-Apr-2013 Mark Dexter
 # [#30652] Commit for issue 29916 broke Smart Search indexing. Thanks Don Gilbert.
 # [#30639] Hathor Tags issues Tag edit view. Thanks Elin Waring.
 # [#30640] Hathor - Not tag field shown in core content. Thanks Roberto Sequra.
 # [#30653] Use of undefined DEBUG constant. Thanks Elin Waring.
 # [#30603] Tags: Similar Tags Module Shows the same article multiple time. Thanks Thomas Hunziker.
 # [#30642] Creating a new Tag based on existing one, using "Save as Copy" appends a number even the new Title of the copy is different from the original. Thanks Ashan Fernando.

22-Apr-2013 Mark Dexter
 # [#30654] SQL Error in running smart search indexer. Thanks Elin Waring.

22-Apr-2013 Jean-Marie Simonet
 $ [#30655] *TAGS: Wrong constant in en-GB.plg_finder_tags.ini
 $ Adding Hungarian hu-HU installation language

21-Apr-2013 Mark Dexter
 # Fix incorrect commit for [#30617] *Tags: Discover sql not in sync. Thanks Thomas Hunziker.

21-Apr-2013 Jean-Marie Simonet
 # [#30645] *Hathor: Icomoon icons don't show in multiple places
 # Fix loading all categories in multilanguage
 # [#30637] Error when publishing a child tag of an unpublished parent tag. Thanks Elin

-------------------- 3.1 Beta 5 Release [20-Apr-2012] ------------------

20-Apr-2013 Mark Dexter
 # [#30323] tag created iso selected with ajax interface when using keyboard only selection. Thanks Roberto Segura.
 # [#30432] Optimize styling for small devices. Thanks Nick Savov.
 # [#30533] 'banner position missing in Protostar templateDetails.xml file. Thanks Kevin Griffiths.
 # [#30555] JTableContenttype->save() breaks type_alias. Thanks Thomas Hunziker.
 # [#30592] Module Class Suffix	 should be a multiline text area. Thanks Ben Tasker.
 # [#30595] Fixing "urls" within TagsTableTag->bind(). Thanks Thomas Hunziker.
 # [#30596] Access Level in weblinnks manager is displaying as number. Thanks Elin Waring.
 # [#30599] Backward Compatibilty break in JHtmlBootstrap::addPanel and ::startPane. Thanks Yannick Gaultier.
 # [#30617] *Tags: Discover sql not in sync. Thanks Thomas Hunziker.
 # [#30621] Fix batch issues, metadata issues and improve code quality. Thanks Elin Waring and Mark Dexter.

17-Apr-2013 Mark Dexter
 # [#30458] Tags: Fatal Error with 3rd Party Component That Uses Categories. Thanks Patrick Alt.
 # [#30588] Fixing Tag view if core_access is not set. Thanks Thomas Hunziker.

16-Apr-2013 Mark Dexter
 # [#30584] JUcmContent can't construct from alias / error in install SQL. Thanks Thomas Hunziker.

15-Apr-2013 Mark Dexter
 + [#30298] Added note form field. Thanks Peter van Westen.
 # [#30583] Deprecate SimplePie. Thanks Elin Waring.
 # [#29678] null value in column "data" (postgresql). Thanks Michael Babker.

15-Apr-2013 Jean-Marie Simonet
 # [#30579] *TAGS: Tags field not displaying tags--Revert changes to the tags API. Thanks Elin

14-Apr-2013 Mark Dexter
 # [#30506] Joomla update system erases entire site if downloaded zip package is broken. Thanks Aliaksei Kanstantsinau.
 # [#30288] Module Prepare Paramater breaks Cache + Browser Cache + Application Rendering time. Thanks Parth Lawate.

14-Apr-2013 Michael Babker
 ^ [#30541] Small fixes to batch processing layouts.  Thanks Elin Waring
 # [#30396] Enabling finder plugins breaks tags saving
 # [#29240] Undefined property: JSite::$registeredurlparams.  Thanks Mark Stanton
 # [#30282] Joomla3.0.3 + PostgresQL -- User Registration Problem -- Database query failed -- column "sendemail" does not exist.  Thanks George Wilson
 + Database schema for SQL Server adding tags support
 # Fix incorrect lft/rgt values in #__menu table for new installs
 # Modify queries in tags code to support SQL Server
 # [#29685] extensions manager, discover fails with: "JLIB_DATABASE_QUERY_FAILED SQL=INSERT INTO "XXX_extensions"" (postgresql).  Thanks Viet Vu

13-Apr-2013 Mark Dexter
 # [#30560] Tagged Item menu options Child Tags always saves as Include. Thanks Elin.
 # [#30559] 'joomla_310.ddfre_updates' doesn't exist

-------------------- 3.1 Beta 4 Release [12-Apr-2012] ------------------

12-Apr-2013 Mark Dexter
 # [#30523] Fix Tag Batch Creation and Tag Library Cleanup. Thanks David and Elin.
 # [#30553] jos_contentitem_tag_map error.

12-Apr-2013 Jean-Marie Simonet
 # [#30538] Joomla Update Options button displays even if you don't have permission. Thanks Mark Dexter
 # [#30532] Extension Manager -> Database not displaying Other Information tab. Thanks Mark Dexter
 $ [#30511] Capitalise Custom output title (en-GB only). Thanks Brian Teeman
 # [#30537] Menus with default view in URL and sub-tasks are missing in other defined attributes and do not display correctly in menu type input in backend. Thanks Beat
 # [#30446] Fix Strict warning 'Attribute already exists'. Thanks Piotr Konieczny
 # [#30539] *Memcache cache time issue. Thanks Ofer Cohen and sajal soni
 # [#30154] Allow ability to upload file (eg: profile picture) through com_users registration view. Thanks Cy Lee

11-Apr-2013 Jean-Marie Simonet
 #$ [#30534] Missing Help Button in Joomla! Update component. Thanks Mark Dexter

10-Apr-2013 Mark Dexter
 # [#30466] Tags: Not shown in contacts. Thanks Peter Bui.

08-Apr-2013 Michael Babker
 # [#29916] MySQL connections are not closed.  Thanks Ian Goldstein
 # [#30508] Fixed typo $text = $text = '..';.  Thanks Piotr Konieczny
 # [#30504] List All Tags doesn't have pagination.  Thanks Mark Dexter
 # [#30505] Weblink module ignores end publishing date.  Thanks Thomas Hunziker
 # [#30507] *Edit contact display issue with editor.  Thanks Jean-Marie Simonet

08-Apr-2013 Jean-Marie Simonet
 $ Adding installation language pt-PT
 # [#30503] *Tags :can't save Compact Layout in Tags Component Options

07-Apr-2013 Michael Babker
 ^ [#30502] Replace use of JRequest in com_media
 # [#30489] *Regression: Menu Type UTF8 Alias prevents display in Menu Items Manager in J3
 ^ [#30499] Duplicate "btn" class in login module button.  Thanks Thomas Hunziker
 # [#30041] Use of '/' not being handled well on Windows Servers.  Thanks Parth Lawate
 # [#30054] Catchable fatal error: Object of class stdClass could not be converted to string in /plugins/system/debug/debug.php on line 303.  Thanks Ryan K.

07-Apr-2013 Jean-Marie Simonet
 # [#30226] *TAGS: Getting rid of all aspects concerning lang associations

06-Apr-2013 Mark Dexter
 # [#30453] Tags: Pagination not working when linking to a tag.
 # [#30486] *Banners Manager:Banners and Banners Manager:Clients Status filter issue. Thanks Jean-Marie Simonet.
 # [#30480] com_contact error in admin->view->contacts search "author:xxxx". Thanks Brent Cordis.
 # [#30481] Missing space between icon-cog and caret in featured view. Thanks Thomas Hunziker.
 # [#30250] Upgrade jQuery from 1.8.1 to 1.8.3. Thanks George Wilson.
 # [#30046] Update SQLSRV with platform fixes. Thanks David Hurley.

05-Apr-2013 Jean-Marie Simonet
 # [#30416] duplicate alias in banner manager on pressing save as copy

04-Apr-2013 Mark Dexter
 # Reverting [#30430] Severe bug with "com_content" component routing.

04-Apr-2013 Jean-Marie Simonet
 # [#30454] Tags: Adding Tags via Batch function replaces all previous tags. Thanks David and Elin.
 # [#30463] Missing closing div in compact tag layout. Thanks Thomas Hunziker and Constantin Romankiewicz
 # [#30464] ACL Undefined variable error in contentadministrator.php on line 112. Thanks Constantin Romankiewicz
 # [#30062] Base Item option in mod_menu has no effect [regression]. Thanks René Alain Erichsen
 # [#30422] Tags drill down incorrectly finds match to multi-tag tagged items menu item. Thanks Mark
 # [#30210] Undefined index errors by using the style 'beezTabs' at an beez template. Thanks Constantin Romankiewicz
 # [#30444] Newfeeds Hide icon wrong colour
 # [#30450] Remove moduleclass suffix from <input> and <button> elements in mod_search. Thanks Thomas Hunziker
 # [#29377] Image select. Thanks Constantin Romankiewicz
 # [#29961] RAW filter is missing for JInput. Thanks Cedric Keiflin
 # [#30427] Remove 1.5 html methods from com_newsfeeds. Thanks Elin
 # [#30430] Severe bug with "com_content" component routing. Thanks sajal soni and Elin.

03-Apr-2013 Jean-Marie Simonet
 # [#30349] Cleaned up use of database & query objects. Thanks Peter van Westen and Michael Babker

-------------------- 3.1 Beta 3 Release [30-Mar-2012] ------------------

29-Mar-2013 Michael Babker
 # [#30391] Fixes array not being initialized.  Thanks Peter
 # [#30317] Synch session check bug fix from platform.  Thanks Elin
 # [#30419] using foreach with nonarray in com_finder's feed view.  Thanks Elijah
 ^ [#30426] Sync HTML package to the Platform
 ^ [#30297] Changed MooTools to jQuery based color picker.  Thanks Peter
 ^ [#30425] Remove duplicated filterText() methods
 # [#29551] Fixed list_price and sale_price.  Thanks Gabriele
 # [#30076] Pagination does not work for components with more than one administrative view.  Thanks Ram
 # Incorrect field names used in JTableCorecontent (discovered implementing unit tests)

29-Mar-2013 Mark Dexter
 # [#30205] findmanifest should prioritize main folder manifests. Thanks Roberto.
 # [#29680] JLIB_DATABASE_QUERY_FAILED when upgrading to 3.0.2 (Postgresql: invalid input syntax for integer). Thanks Pierre-Louis Bonicoli.
 # [#30107] Redirect plugin needs to be disabled by default. Thanks Ram Tripathi.

29-Mar-2013 Jean-Marie Simonet
 # [#29709] Imposed translation on menu description. Thanks Marco and Brian.

28-Mar-2013 Jean-Marie Simonet
 # [#30415] *Multilanguage 3.1: SIngle article display does not filter correctly author contact per language.
 $ Updating installation file: ckb-IQ.ini
 # [#30388] Routing on the compact list tagged items layout, default tagged items layout and similar tags module. Thanks Mark.
 # [#30410] Notice: Array to string conversion in Tags View. Thanks Mark
 # [#30414] Pagination limit not changeable in com_redirect. Thanks Constantin
 # [#30406] Set state to unpublished when save2copy.

27-Mar-2013 Mark Dexter
 # [#30405] Warning in compact tag view when images is empty.

27-Mar-2013 Jean-Marie Simonet
 # [#29319] SEF plugin gives wrong canonical url (of category, not from article). Thanks Rouven and Mark
 # [#30380] Joomla 3.1 should *not* suggest to use "admin" as the default admin username. Thanks Phil
 # [#30384] *TAGS: "Compact List of Tagged items" menu item issues in multilanguage
 # [#30377] Add a tag filter to the sidebars in content managers. Thanks Elin
 # [#30355] Tagged item list is showing unpublished, trashed and archived items. Thanks Elin.
 # [#30389] List All Tags Not Routing to Single Tag Menu Item + . Thanks Mark.
 $ [#30402] Clarification of tags description (en-GB). Thanks Brian.
 $ [#30397] Correct en-GB grammar in installation. Thanks Brian.
 # [#30329] Missing tags feed and related items. Thanks Elin
 # [#29165] Sort table of articles by featured is missing. Thanks Ram

26-Mar-2013 Jean-Marie Simonet
 $ Updating installation ini files: pt-BR, ckb-IQ

26-Mar-2013 Michael Babker
 # [#28972] Smart Search: suggestions are not filtered by current language
 ^ [#30104] Messages close button in Isis.  Thanks Mario
 # Undefined variable in JSchemaChangeitemPostgresql (discovered via unit test implementation)

25-Mar-2013 Michael Babker
 # [#30375] When state is changed in a list view it isn't changed in core_content
 # Incorrect field names used in JTableContenttype (discovered implementing unit tests)
 # [#30382] Fatal error in mod_weblinks.  Thanks Elin
 ^ [#30142] Add optional class param to accordion slider.  Thanks Anderson
 - [#30387] Remove compact.xml.  Thanks Elin

24-Mar-2013 Mark Dexter
 # [#30223] TAGS: Missing 'Help' Button in Toolbar.
 # [#30366] Help Screens, key wrong, missing or not created correctly.
 # [#30335] Updated Front-end Tags Layout. Thanks David.

24-Mar-2013 Michael Babker
 + [#30318] Pull in media wiki package from platform.  Thanks Elin
 ^ [#30356] Update JImage to latest platform version.  Thanks Don
 # [#30266] Array to string conversion in smart search.  Thanks Edgars
 # [#28978] Smart search (com_finder) - problem when using "Allow Empty Search".  Thanks Valentin
 # [#30338] Wrong contact items publishing state from Contact details > state.  Thanks Piotr
 + [#30369] Pull in OpenStreetMap package from the platform.  Thanks Elin
 + [#30364] Add UNION ALL feature from platform.  Thanks Elin
 ^ [#30180] argument three in phpdoc should be the variable name.  Thanks Alexander
 ^ [#30365] Fix code style in admin modules: mod_login.  Thanks Javier
 # [#30260] Fix for Undefined index: custom_position.  Thanks Peter
 ^ [#30363] Fix code style in admin modules: mod_logged.  Thanks Javier
 # [#29353] Smart Search Module Not Using Selected Filter.  Thanks Sam
 # [#30214] JLog::add in JFolder::create logs erroneous error messages
 ^ [#30286] Corrections to SQL Server DDL.  Thanks Sam

24-Mar-2013 Jean-Marie Simonet
 # [#30234] Route work classes for Tags. Thanks Elin

23-Mar-2013 Jean-Marie Simonet
 # [#30361] Chosen minified and un-minified versions are different. Thanks Roberto
 # [#30348] Popular Tags Module showing multiple copies of links. Thanks Elin
 # [#30351] State and language filtering not presesnt in Similar Tag module. Thanks Elin.

22-Mar-2013 Jean-Marie Simonet
 $ Updating Installation ini files: he-IL, nl-NL

21-Mar-2013 Michael Babker
 ^ [#30319] Accessibility fixes to JForm Platform Synch.  Thanks Elin
 ^ [#30353] Clean up left over debugging.  Thanks Elin

21-Mar-2013 Jean-Marie Simonet
 # [#30340] Fix regression in Similar Tags Module. Thanks Elin
 $ Duplicate lang string +
 # [#30320] *Deleted Tagged items are not deleted from the map table and core_content table. Thanks Elin
 # [#30346] *Contact creator does not include default language "All" for the contact created
 # [#30330] *Correcting alignment of metadata labels in Category edit
 # [#30339] Component Update Info URL - open in new tab. Thanks Glen

-------------------- 3.1 Beta 2 Release [20-Mar-2012] ------------------

20-Mar-2013 Mark Dexter
 # [#30326] Cannot add position in Module Manager. Thanks Roberto Segura.
 # [#30314] Move to new JFeed. Thanks Elin.
 # [#29520] Cannot add new menu item. [qlsrv]. Thanks Cliff Galiher.

20-Mar-2013 Jean-Marie Simonet
 # [#30333] *TAGS: Notice when entering 2 tags in a tags menu item. Thanks Roberto
 # [#30328] AJAX field improvements/fixes. Thanks Roberto
 # [#30304] Cant add fields to the category form using a plugin. Thanks all.
 # [#29734] Joomla Newsfeed problem. Thanks Tessa
 # [#30327] PHP Notice using new layouts (from pull request 814). Thanks Elin.

19-Mar-2013 Jean-Marie Simonet
 $ Missing strings in com_tags frontend

18-Mar-2013 Jean-Marie Simonet
 # [#26860] A Contact name *must not* be unique. Thanks Christophe and Janich
 # [#28874] Registration activation email links. Thanks Marco
 $ Updating Installation ini files: af-ZA, eo-XX, es-ES, pl-PL, uk-UA

17-Mar-2013 Michael Babker
 ^ [#30262] Add PostgreSQL schema for tags, sync with MySQL, update script additions
 + [#30251] Add single tag feed view.  Thanks Elin
 # [#30256] Error in field mapping for contact.  Thanks Elin
 #+ [#29677] robots.txt in updates. Thanks Mark
 ^ [#30311] Move code from tag model to tags class.  Thanks Elin

17-Mar-2013 Jean-Marie Simonet
 # [#30121] Save as copy does not work in com_weblinks, com_contacts, com_newsfeeds. Thanks Lemings
 # [#30267] *Modifying constant in logged in module (back-end)
 # [#30190] allow string-based input fields to use the "multiple" attribute. Thanks Randy.
 # [#30305] Correcting the similar tags module. Thanks Elin
 # [#30264] AJAX field for tagging. Thanks Roberto
 # [#29810] File deletion issue. Thanks Elin
 # [#28803] Bug in com_contact. Thanks Ben
 # [#28171] Com_content category view incorrect ordering of "featured" articles. Thanks Christophe Demko

16-Mar-2013 Michael Babker
 # [#30259] Added (min) height to table cells with context.  Thanks Peter
 ^ [#30258] Added purge to find/update methods. Removed purge buttons.  Thanks Peter
 ^ [#29295] Show Correct Meta Titles in Joomla Admin for better usability.  Thanks Parth
 + [#28924] Add SQL Server subclass for FinderIndexer
 ^ [#30083] Update PHPMailer to 5.2.3
 + [#30222] Add dateAdd method and implement
 # [#30248] Show Intro Text = Hide currently has no effect in Featured and Category menu items.  Thanks Matt
 ^ [#24792] onContentPrepareData event is not implemented in all components generating forms to allow manipulation of the form data.  Thanks Niels
 + [#29891] Begin using reusable layouts

16-Mar-2013 Jean-Marie Simonet
 #$ [#30231] *TAGS: does not filter on language. Thanks Elin
 # [#30283] *Missing filter field parameter for contacts, newsfeeds, weblinks List All Categories menu items + error in Article categories menu item
 $ Updating Installation ini files: et-EE, fi-FI, ug-CN, zh-cn
 +$ [#27945] Hide Subcategories text. Thanks Aka.
 + [#30230] JPlugin autoloadLanguage property. Thanks Elijah
 # [#29319] SEF plugin gives wrong canonical url (of category, not from article)
 #$ [#29563] Error msg when an invalid back-end template is selected. Thanks Lukas

15-Mar-2013 Jean-Marie Simonet
 # [#30261] Contact tagging not working and contact notice in front end. Thanks Elin

14-Mar-2013 Jean-Marie Simonet
 # [#30265] Make options in the content type field translatable.
 $ Updating Installation ini files: bs-BA, sy-IQ

13-Mar-2013 Jean-Marie Simonet
 $ Updating Installation ini files: de-DE, fa-IR, ko-KR, sk-SK, vi-VN
 # Updating version for installation language xml

12-Mar-2013 Jean-Marie Simonet
 # Merging platform strict standards cache issue. https://github.com/joomla/joomla-platform/pull/1710
 $ [#30270] Wrong string. Thanks Elin

10-Mar-2013 Jean-Marie Simonet
 $ Updating Installation ini files: ca-ES, hr-HR.

09-Mar-2013 Michael Babker
 # [#30221] JTags method declarations are not optimal
 + [#30242] Add class to TAGs layout in order it looks like a bootrstap label

08-Mar-2013 Michael Babker
 ^ [#29803] Encourage proper use of JHtml APIs dealing with scripts and stylesheets
 ^ [#30120] Rename and move classes in the install library from Platform to CMS
 + [#30102] Update to Platform version code.  Thanks Elin
 + [#30243] Add TAGs in front end articles single view in BEEZ3.  Thanks Javier
 # [#29717] Typo in Formbehavior::Chosen.  Thanks Thomas
 # [#30241] Horizontal scroll appears when in edit articles.  Thanks Javier
 # [#29266] Uncaught exception in user profile when entering string for birth date.  Thanks Aleksander

08-Mar-2013 Jean-Marie Simonet
 $ Missing string for com_tags
 $ Updating Installation ini files: ar-AA, bg-BG, id-ID, ja-JP, lv-LV, sv-SE, sw-KE, tr-TR

07-Mar-2013 Michael Babker
 + [#30237] Set minimum type_id.  Thanks Elin

07-Mar-2013 Jean-Marie Simonet
 #$ [#30220] TAGS - language string typo. Thanks David. + some.
 # [#30216] *Normalising batch for com_users manager in Isis
 # [#30227] Missing files on en-GB.xml

-------------------- 3.1 Beta 1 Release [07-Mar-2012] ------------------

06-Mar-2013 Mark Dexter
 + [#29855] Add a component for creating and managing (nested) tagging in content components. Thanks Elin Waring!
 + [#29822] Show logs in debug console. Thanks Elijah Madden!
 - [#28574] Remove the GeSHi plug-in.

05-Mar-2013 Jean-Marie Simonet
 ^ [#30085] Refactor installation to use new application and MVC classes. Thanks Michael
 # [#30203] * Misrepresented Debug Console at the joomla errorpage.
 + [#29770] com_config component missing triggers on save. Thanks Nicholas Antimisiaris
 $ Updating Installation ini files: be-BY, da-DK, fr-FR, it-IT, mk-MK, nb-NO, ru-RU, sr-RS, sr-YU, ta-IN, th-TH, zh-TW

02-Mar-2013 Jean-Marie Simonet
 # [#30189] * [#30157] did not take into account apostrophies in lang strings values
 # [#30186] Weblinks module fails

01-Mar-2013 Jean-Marie Simonet
 # [#30172] *Moving the helper getAssociations() to the cms library. Thanks Roberto and Harald
 # [#30182] *Correcting some hathor display.

28-Feb-2013 Jean-Marie Simonet
 # [#30100] Plugins ordering broken when search filter is populated. Thanks Jurian.
 # [#30030] Beez index.php. Thanks Angie.
 # [#30115] Component Options are not a Modal Pop Up Window - Help screen Language Keys needed. Thanks Mark
 # [#29252] Media manager Directory doesn't update while browsing folders. Thanks Piotr

26-Feb-2013 Jean-Marie Simonet
 ^$ [#30157] *Bootstrapping tabs in administration (big patch)
 # [#30159] *Improving multilanguage status module
 + [#30101] Port over JPluginHelper::getLayoutPath() and use it to customize pagenavigation plugin markup. Thanks Roberto and Michael.
 # [#29396] isis - article editing. Thanks Artur

22-Feb-2013 Jean-Marie Simonet
 # [#30126] *wrong alternate when using associations in multilanguage. Thanks Benjamin
 # [#30133] Duplicate quotes in beez3 category blog override. Thanks Babs
 #$ [#30001] Menu and Article Associations does not work under Global Cache

16-Feb-2013 Jean-Marie Simonet
 # [#29261] Admin template "super-patch". Thanks Michael

14-Feb-2013 Jean-Marie Simonet
 # [#30095] *Select menu type modal corrections for Hathor and Isis RTL
 # [#29786] JHtmlBootstrap tabs broken. Thanks Tim Kramer.

12-Feb-2013 Mark Dexter
 # [#30066] Minor update releases not showing by default for new 3.0.x installs. Thanks Michael.

12-Feb-2013 Jean-Marie Simonet
 # [#30074] *Front end edit button missing in category blog
 # [#30087] Second scrollbar at the media manager (isis). Thanks Constantin
 # Added the error file in the Protostar template xml. Thanks Miguel Angel

11-Feb-2013 Jean-Marie Simonet
 # [#30056] * Icomoon issue with some character & More RTL compatibility for Isis template. Thanks Mohammad.
 + [#30086] * Improving Edit Assignment in Template Edit style
 # Reverting [#29377]

10-Feb-2013 Jean-Marie Simonet
 +$ Adding af-AZ to installation languages

09-Feb-2013 Michael Babker
 # [#29970] Robots.txt check url no more working.  Thanks Brian
 # [#30049] Move rules for autoloading.  Thanks Elin

08-Feb-2013 Jean-Marie Simonet
 # [#29946] Fixing extension install from dynamic URLs. Thanks Thomas
 # [#29737] If a user is blocked while logged in, he or she stays logged in. Thanks Alexander
 # [#29736] Bootstrap carousel undefined method JHtmlBootstrap::_getJSObject in bootstrap.php. Thanks Michael and Robert.
 # [#30063] Disabled template positions shown in module available positions. Thanks Roberto
 #$ [#30079] * Improving cookie handling in languagefilter plugin
 ^+ [#29896] Switch JHtmlIcons to render with JLayout, update quickicons module to suit. Thanks Michael.

06-Feb-2013 Jean-Marie Simonet
 # [#29965] Add pagination in COM_SEARCH component
 #$ [#30057] *Implementing search and pagination in Menu Manager: Menus
 #$ [#30078] *Adding Note when language pack version is not equal to Joomla version
 # [#29377] Image select. Thanks Angelika and Niels

-------------------- 3.0.3 Stable Release [4-Feb-2013] ------------------

03-Feb-2013 Jean-Marie Simonet
 $ Updating installation lang file: he-IL

02-Feb-2013 Jean-Marie Simonet
 $ Updating installation lang file: et-EE, zh-CN
 $ Updating installation lang file: fa-IR, nb-NO

01-Feb-2013 Jean-Marie Simonet
 $ Updating installation lang file: nl-NL

31-Jan-2013 Jean-Marie Simonet
 $ Updating installation lang file: ru-RU
 # [#30043] *Correcting a few Hathor css issues
 $ Updating installation lang file: bs-BA, he-IL
 # Updating en-GB to 3.0.3
 $ Updating installation lang file: sw-KE

30-Jan-2013 Mark Dexter
 # [#27709] Saving in backend very slow when many user groups. Thanks Elin.
 # [#29705] blank login page J3.x beez3.

30-Jan-2013 Jean-Marie Simonet
 $ Updating installation lang file: bg=BG, pt-BR, sy-IQ

29-Jan-2013 Mark Dexter
 ^ [#29776] com_media/plugin interaction. Thanks Elijah Madden.
 # [#30007] Fix broken module installation in Postgresql because of NULL constraint. Thanks Elin.
 + [#30006] Add totally new classes and methods from the platform. Thanks Elin.
 # [#30000] Division by 0 problem in JCrypt. Thanks Elin.
 # [#29999] Fix fatal error in JInstallerFile::uninstall(). Thanks Matias Griese.
 # [#29417] sendMail automatically adds sender as replyTo. Thanks Roberto Segura.
 # [#28714] Authentication - Gmail: Apply Username suffix does not allow user to login with suffix already applied. Thanks Janich Rasmussen.
 # [#29345] MySQLi does not display SQL errors messages anymore. Thanks Jérôme Glatigny.
 # [#29845] Joomla 3.0.2 Back-end Performance Issue with Item Associations (large #__associations table). Thanks Gary Mort.

28-Jan-2013 Jean-Marie Simonet
 # [#30026] *Reverting parts of tracker #29875 which breaks container-fluid class in Protostar- regression
 #^ [#29997] Email validation fails with longer top level domains. Thanks Elin

26-Jan-2013 Jean-Marie Simonet
 # [#30028] Ordering is not working in Beez3 article Category List. Thanks Roberto
 $ Updating installation lang file: be-BY, fi-FI, ko-KR, pl-PL
 # [#30031] *Notice: Undefined index: title in /plugins/content/pagebreak/pagebreak.php on line 197. Thanks Bernard

25-Jan-2013 Jean-Marie Simonet
 # [#29998] Problem with grid sort. Thanks Zhevron
 # [#30021] *Wrong parameters for Articles Category List layout
 # [#30023] Faster sorting for languages. Thanks Gary.
 # [#28841] Username modification in frontend (Profile Edit) is not saved. Thanks Jisse Reitsma

24-Jan-2013 Jean-Marie Simonet
 $ Updating installation lang file: aa-AA, de-DE, es-ES, hr-HR, lv-LV, ug-CN, vi-VN, zh-TW
 # [#30018] *Isis calendar display issue

23-Jan-2013 Jean-Marie Simonet
 # [#29994] Clear tooltips at template hathor
 # [#29995] No language tooltip at the Joomla Login. Thanks Tobias.
 # [#30015] *Isis tooltip text is always centered

22-Jan-2013 Jean-Marie Simonet
 # [#29960] Correct language specification in components' XML files. Thanks Alex B.
 # [#29907] *Protostar template does not display page break tab feature in a page.

21-Jan-2013 Jean-Marie Simonet
 $ Updating installation lang file: id-ID, sr-RS, sr-YU, sv-SE, sw-KE, uk-UA

21-Jan-2013 Jean-Marie Simonet
 $ Updating installation lang file: ca-ES, ckb-IQ, da-DK, fr-FR, it-IT, ja-JP, mk-MK, sk-SK, ta-IN, th-TH, tr-TR

19-Jan-2013 Jean-Marie Simonet
 # [#29987] Code Style Part 2. Thanks Elin

19-Jan-2013 Jean-Marie Simonet
 # [#29989] *Media manager can't upload is memory_limit is set to -1

18-Jan-2013 Jean-Marie Simonet
 # [#29979] Codestyle pass 1. Thanks Elin.
 ^ Updating copyright
 # [#29952] template manager pagination broken. Thanks Yannick

17-Jan-2013 Jean-Marie Simonet
 #$+ [#29897] *Multilanguage: adding items associations in remaining core components. Thanks Benjamin
 # [#29959] *Show Create Date global article option does not work when it is the only option selected
 # [#29954] *RTL: Wrong display of Subcategories titles in Content Category Blog and Categories menu items

16-Jan-2013 Jean-Marie Simonet
 # [#29962] *303 when not using URL Language code in multilanguage - again. Thanks Yannick

15-Jan-2013 Jean-Marie Simonet
 #$ [#29941] *User Profile frontend tooltips same as backend ones
 # [#29289] *No admin private message when an author submit a new content in frontend
 # [#29933] *'Article' string above the TOS article and print icon not working with Protostar
 # [#28778] Incorrect Rendering of Breadcrumb Trail for Home Page Sub-Items. Thanks James and Peter

13-Jan-2013 Jean-Marie Simonet
 # [#29913] *Com_content feed read more links broken. Thanks Jurian
 # [#29908] Allow use of text instead of icons in the login module. Thanks Elin
 # [#28577] User Notes Search not working. Thanks Panayiotis

12-Jan-2013 Jean-Marie Simonet
 # [#29469] CodeMirror looks a little bad. Thanks Elijah
 # [#28895] Missing closing </div>. Thanks Janich
 # [#29921] *Com_content category list filter field wrong Options
 # [#29923] *Ordering in Featured Articles doesn't work with isis administrator template
 # [#29927] *User Profile Plugin - Required TOS field not enforced
 # [#29929] mod_custom with wrong client attribute Thanks Martin

10-Jan-2013 Jean-Marie Simonet
 # [#29917] *Beez3 RTL wrong display of items in category list
 # [#29904] *With plugin Language Filter enabled, user articles parameter in frontend shows all articles

08-Jan-2013 Jean-Marie Simonet
 # [#29914] *Login module wrong display in beez3 RTL
 # [#29906] *Viewing Access Levels order numbering is not shown

06-Jan-2013 Michael Babker
 # [#27699] Only text gets passed to content events in blog view.  Thanks Peter

05-Jan-2013 Jean-Marie Simonet
 # [#29905] Issue 29895 broke weblinks categories. Thanks Mark
 # [#29903] Fix a reference in jDatabaseDriver. Thanks Elin
 # [#29842] Display error by the contactform with IE 8 and 9. Thanks Constantin.

03-Jan-2013 Michael Babker
 # [#29875] Protostar invalid class names for itemid, layout and task.  Thanks Cristina
 # [#29895] Strict errors in categories models.  Thanks Elin
 # [#29862] *Filter_field Option missing in category list layout for Contact, Newsfeeds, Weblinks.  Thanks JM
 # [#29887] *Disable System redirect breaks 404.  Thanks Yannick

03-Jan-2013 Mark Dexter
 # [#29743] heading menu type renders bad html code. Thanks M Cedric Keiflin.
 [#29865] JLayoutFile keeps rendering same layout. Thanks Yannick Gaultier.

03-Jan-2013 Jean-Marie Simonet
 # [#29836] *Weblinks, Newsfeeds, Contacts Search Filter (frontend). Thanks Glenn Arkell

02-Jan-2013 Jean-Marie Simonet
 # [#29870] *Beez3 wrong messages display
 # [#29217] *Status column missing in weblinks mobile view. Thanks Tim
 # [#29691] Smart Search autocomplete.js issue. Thanks Viet
 # [#27903] invalid call to parent::getStoreId in getStoreId of NewsfeedsModelCategories (unused). Thanks Michael and Peter

31-Dec-2012 Michael Babker
 # [#29620] *Creating new position when editing module broken in master.  Thanks David.
 # [#29363] Responsive layout during installation breaks.  Thanks David.

27-Dec-2012 Michael Babker
 + [#28616] Add French language stemmer to Smart Search.  Thanks Chris.

26-Dec-2012 Jean-Marie Simonet
 # [#29210] Help page restricted to small window at top of screen. Thanks Chris.
 # [#29849] *RTL: Wrong display of Subcategories titles in Content Category List menu item
 # [#29860] *Wrong display of Search and Clear buttons in Insert Article modal + RTL
 # [#29838] the registration-mail does not contain username and password if activation is set to "none". Even if "send password" is set to yes. Thanks Yannick Spang
 # [#29727] Pagebreak plugin generates same ID for tabs and slides. Thanks Dennis.

25-Dec-2012 Jean-Marie Simonet
 # [#29833] *Beez3 does not display Print, Mail, Edit, New icons Thanks Michael
 # [#29834] *Beez3 edit article wrong display
 # [#29824] Smart search saves * in language field. Thanks Elin

24-Dec-2012 Jean-Marie Simonet
 $ Adding Missing strings #29852 and +
 $ Adding missing front-end strings

21-Dec-2012 Jean-Marie Simonet
 # [#29827] Semantic & Accessibility fixes frontend. Thanks Angie

19-Dec-2012 Jean-Marie Simonet
 $+ Adding Catalan ca-ES installation files

19-Dec-2012 Jean-Marie Simonet
 $ Full alpha display of installation languages

18-Dec-2012 Mark Dexter
 # [#29651] Removing try/catch clauses in 'dispatch' methods. Thanks Patrick Alt.
 # [#29771] Inconsistent usage of module suffix at mod_menu and mod_breadcrumbs. Thanks Kevin Griffiths.

13-Dec-2012 Jean-Marie Simonet
 # [#29819] *Correcting Hathor admin login
 # [#29762] *cpanel layout in backend messed up after adding feed to cpanel
 # [#29764] Missing icon-pending in back-end. Thanks Michael

13-Dec-2012 Mark Dexter
 # [#29821] Cannot select contact or newsfeed in modal after filtering

12-Dec-2012 Mark Dexter
 # [#29738] Weblinks Hits Display when set to hide. Thanks Glenn Arkell.
 # [#29809] Callback logger wrongly named. Thanks Elijah Madden.
 # [#29715] *Submit an Article doesn't work. Thanks Jean-Marie.

04-Dec-2012 Mark Dexter
 # [#29763] Category list state change bug. Thanks Dennis.

29-Nov-2012 Mark Dexter
 # [#29744] Submenu module missing closing A tag. Thanks Kevin Griffiths.
 # [#29749] *Correcting Hathor CPanel display. Thanks JM.
 # [#29573] Remove unnecessary JS snippet from rules field. Thanks Michael.

27-Nov-2012 Jean-Marie Simonet
 +$ Adding Swahili sw-KE installation files.
 $ Although not used, adding missing JText::script strings in installation as they show in debug.
 # [#29665] *Cache plugin is not differentiating between Menu-Items. Thanks Dennis.
 # [#29740] *HTML direction tag for Back-end login missed
 # [#29706] icon display in protostar pagination on active items. Thanks Lars
 # [#29707] protostar pagination: active items li not closed. Thanks Lars

23-Nov-2012 Jean-Marie Simonet
 $ Missing Beez3 and library lang strings. Syncing both en-GB.lib_joomla.ini

19-Nov-2012 Jean-Marie Simonet
 # [#29714] Code style fixes based on Jenkins, replace uses of JRequest. Thanks Michael.
 # [#28087] PHP errors when all modules are removed. Thanks David
 # [#29694] Fix broken extension update. Thanks Viet Vu
 # [#29439] Bootstrap clearfix improperly used. Thanks Elijah.
 # [#29700] Component installer and menus may return invisible bug. Thanks Mario.

18-Nov-2012 Jean-Marie Simonet
 # [#29684] Wrong HTML markup on category edit. Thanks Ofer
 # [#29528] Incorrect arrows in table heading. Thanks Dennis
 # [#29687] *Adapting hathor to new message using editor
 # [#29679] *Passwords fields not required when creating a new user in back-end
 # [#29698] *Adding bootsrtap-rtl to compiler, correcting some rtl classes
 # [#29693] *Position of Article Info. Setting Use Global not saved. Menu Manager: Edit Menu Item and Article Manager: Edit Article. Thanks Volkmar
 # [#29710] mod_breadcrumbs: Custom separator is not applied. Thanks Constantin
 # [#29682] Adding an icon to the "reply" button in com_messages. Thanks Constantin.
 # [#29712] Alternate fix for 29646 update changes. Thanks Michael
 + [#29496] Language Installation tool for the Joomla Installer. Thanks Javier.

16-Nov-2012 Jean-Marie Simonet
 $+ Adding Uyghur ug-CN installation files

15-Nov-2012 Jean-Marie Simonet
 $+ Adding Galician gl-ES installation files
 # [#29660] Error 500 due to "missing alias column in assets table" Thanks Elin.
 $+ Adding Esperanto eo-XX installation files

14-Nov-2012 Jean-Marie Simonet
 # [#29558] Incorrect current menu item highlighting in mod_menu if 'Base Item' is not current. Thanks Dennis
 # [#29619] In the current version 3.0.2 (master branch, 03. Nov. 2012) some settings aren't working. Thanks Benjamin.
 # [#29473] Fixed issue with hits_class not being defined when hits is 24. Thanks Peter.
 # [#29676] *formatting at the PM System are lost

13-Nov-2012 Jean-Marie Simonet
 #$ [#29669] Consistent form validation notifications. Thanks Roland
 # [#29675] *Protostar error page tries to load search module even when module is not published
 $ [#29668] language installer coordinator team URL must changed j3 TT. Thanks Chalak
 # [#29646] Some errors on Updater. Thanks Mark.

11-Nov-2012 Jean-Marie Simonet
 # [#29569] *Implementing accordeons for Modules Options
 # [#29635] * No message notification when new article is created

10-Nov-2012 Mark Dexter
 # Remove trashed categories from sample data
 # [#29621] The root asset has the wrong lft value in 3 files. Thanks Elin.

10-Nov-2012 Jean-Marie Simonet
 $ [#29616] Missing JGLOBAL_CENTER in frontend language file. Thanks Patrick
 # [#29654] *User Basic settings do not display when debug language on
 # [#29653] *Correcting Isis media modal display
 # [#29638] *admin dashboard statics not fully RTL. Thanks Chalak

09-Nov-2012 Jean-Marie Simonet
 # Correcting EOL

-------------------- 3.0.2 Stable Release [8-Nov-2012] ------------------

06-Nov-2012 Mark Dexter
 # [#29128] Add a heading menu item, use Bootstrap's markup for separator. Thanks Michael.
 # [#29626] Commit for 29519 Breaks Wrapper Menu Item Type. Thanks Elin.

05-Nov-2012 Mark Dexter
 # [#29565] Joomla! 3.x version update information issue on 64-bit servers. Thanks Ofer.
 # [#28960] Correct system message output. Thanks Viet Vu.

04-Nov-2012 Jean-Marie Simonet
 # [#29610] User and Notes views missing chosen/bootstrap. Thanks Kyle.
 # [#29615] *Hathor edit user broken

02-Nov-2012 Jean-Marie Simonet
 # [#29606] *New Feature Items associations also displays the parameter for other categories than com_content. Thanks Benjamin
 # [#29602] Add bootstrap-extended to the CSS compiler. Thanks Michael
 # [#29305] Adding red colour to invalid fields. Thanks Andrea

01-Nov-2012 Jean-Marie Simonet
 # [#29597] 'Title' label doesn't appear when editing an article in frontend. Thanks Stephania
 # [#29599] *Beez article category list display issue.
 # [#29604] *Language no more available in Extension Manager after uninstall

30-Oct-2012 Jean-Marie Simonet
 # [#29582] User Profile cannot be edited from user manager. Thanks Emir
 # [#29583] JForm media field element is unable to determine the selected image root path. Thanks Sven.
 #$ [#29584] *Untranslated strings in chosen.jquery.js using Isis
 # [#29587] *Adding Author alias in Article Manager

28-Oct-2012 Jean-Marie Simonet
 # [#29251] Com_content caches article view no matter of Itemid. Thanks Dennis

27-Oct-2012 Jean-Marie Simonet
 $ Updating en-GB version to 3.0.2
 # [#29339] User Manager: Viewing Access Levels - layout
 # [#29570] Recaptcha fails. Thanks Panayiotis
 # [#29577] Wrong status filter in Plug-in-Manager
 + Adding Kiswahili (East African Kiswahili Commission) flag

25-Oct-2012 Jean-Marie Simonet
 # [#27989] Filtering of extension update list and additional notice before updating. Thanks Rob.
 # [#29536] XHTML syntax error in default system Breadcrumbs module. Thanks Denia
 # [#29533] Missing closing link tag in submenu layout. Thanks Yannick

24-Oct-2012 Jean-Marie Simonet
 # [#29543] Category on article is sometimes not displayed
 % [#29568] *Patch correcting issues in Featured/blog/archive for the info display

23-Oct-2012 Jean-Marie Simonet
 # [#29547] Category parent link missing
 # [#29545] Incorrect label / date in article created date. Thanks Denia
 # [#29535] Invalid XHTML syntax in Protostar Joomla 3.0.1. Thanks Denia
 # [#29340] Menu Manager: Menus

22-Oct-2012 Jean-Marie Simonet
 # [#29553] Convert Hathor's brown color scheme to Less. Thanks Michael
 # [#29552] *Com_messages "My Settings" broken

20-Oct-2012 Jean-Marie Simonet
 # [#29530] *Language override search broken. Thanks Patrick
 # [#29525] No tooltip help for Global Configuration Text Filters. Thanks Mark.
 # [#29527] *Beez category list display issue.

18-Oct-2012 Jean-Marie Simonet
 # [#29519] *Edit Menu Item layout usability
 # [#29401] Repeated htmlspecialchars() Applied When Multiple Breadcrumbs Active. Thanks Peter and Roland
 $# [#29521] Missing lang string in installation + correcting wrong constant in InstallationModelDatabase
 # Category title display ommitted in Details column #29494

17-Oct-2012 Jean-Marie Simonet
 # [#29470] *Hathor submenus broken. Thanks Yannick
 # [#29477] Missing style for Cancel
 # [#28379] *Normalizing Hathor css and js load in index.php + correcting a small error
 # [#29239] Increment the hit counter of the category. Thanks Roberto
 # [#29494] *Normalising Edit Category page
 # [#29499] "Browser Page Title" Not Considered in Category Blog Layouts. Thanks Mig

14-Oct-2012 Jean-Marie Simonet
 + [#27373] [patch] Implementing Items associations in multilanguage. Thanks Benjamin.
 # [#29471] Save as Copy Overwrites Menu Titles (always) for External URL. Thanks Roberto
 # [#29487] isis error.php is accessing unexisting object $this->params. Thanks Daniel
 # [#29480] Removed class=" form closing tag in contacts default view. Thanks Brent
 # [#29476] Isis: Fixed btn-group labels not getting right colors in component subtemplate. Thanks Peter
 # [#29411] Missing function _unix2DOSTime in libraries/joomla/archive/zip.php. Thanks Roberto
 # Correcting code quality

12-Oct-2012 Jean-Marie Simonet
 $ Correcting de-DE installation ini
 # [#29478] Incorrect Home link from 500 error page Joomla 3.0
 # [#29488] Missing JText In Language Installer

10-Oct-2012 Jean-Marie Simonet
 $ Correcting fr-FR installation ini

-------------------- 3.0.1 Stable Release [9-Oct-2012] ------------------

08-Oct-2012 Mark Dexter
 # [#29074] Back-end: Unable to save FTP Settings - Catchable fatal error. Thanks Elin.
 # [#29468] Additional places where null should be changed to array(). Thanks Elin.

08-Oct-2012 Jean-Marie Simonet
 # [#29454] multi level menus not support RTL languages well. Thanks Chalak
 # [#29451] beez3: element closed before opened. Thanks Constantin.
 # [#29452] beez3: change meta tag name from apple-touch-fullscreen to apple-mobile-web-app-capable. Thanks Constantin.
 # [#29453] Update platform version to 12.2. Thanks Elin
 ^ Changing en-GB to version 3.0.1
 # [#29464] Untranslated string COM_INSTALLER_INSTALL_FTP

07-Oct-2012 Jean-Marie Simonet
 # [#29447] Broken installation with PostgreSQL. Thanks Viet
 ^ [#29449] *Normalising isis UI part2 components, modules, plugins
 $ Updating sk-SK.ini
 # [#29394] beez3 -- single contact. Thanks Constantin

06-Oct-2012 Mark Dexter
 + [#29445] Allow different update packages for different version dev levels.

06-Oct-2012 Jean-Marie Simonet
 # [#29262] Wrong file name in garbagecoro cli app
 # [#29446] One character too much in JFeedPerson

05-Oct-2012 Jean-Marie Simonet
 $ Updating pt-BR.ini
 # [#29387] unpublish button don't work. Thanks Roberto
 ^ [#29414] Isis template showing User Name is not a good idea. Thanks Michael
 # [#29443] *Normalising isis UI part1 administrator folder

04-Oct-2012 Jean-Marie Simonet
 $ Updating ja-JP.ini
 # [#29393] beez3 CLOSE INFO. Thanks Angelika
 # [#29410] Beez3 template_Details.xml needs a rework and beez3 itselfs needs additional files.Thanks Angelika
 # [#29431] Protostar Template not honouring module Title Hide. Thanks Roberto
 # [#29429] Can't install Joomla update as an extension. Thanks Mark

03-Oct-2012 Mark Dexter
 # [#29421] Auto update doesn't work in version 3.0.0.
 # [#25663] "Can't build admin menu item" error while (re)installing component. Thanks Nicholas Dionysopoulos and Peter Wiseman.
 # [#28849] Publishing date instead of creation date in com_content/category/view.feed.php. Thanks Tobias Ribizel.

03-Oct-2012 Jean-Marie Simonet
 +$ Adding installation languages: no-NO
 # [#29426] *Missing list limit in Extensions Manager => Manage and Install Languages
 # [#29268] Language dropdown too small in backend login using IE8. Thanks Peter
 ^ [#29399] Clean up code style. Thanks Elin and Peter.

02-Oct-2012 Jean-Marie Simonet
 # [#29408] images upload to the wrong folder in image manager. Thanks Roberto
 $ Missing string for Protostar
 # Changing obsolete link to lang packs community page
 # [#29419] *Missing client field (and other fields) when creating a new banner

01-Oct-2012 Jean-Marie Simonet
 # [#28297] com_banners: BannersModelClients SQL error (group by banner id). Thanks Nils
 # [#29403] *Missing required="true" in front-end login form
 # Correcting default_logout.php EOL
 # [#29407] *Isis wrong implementation of the color parameter
 +$ Adding installation languages: et-EE

30-Sep-2012 Jean-Marie Simonet
 # [#29390] Components Title Truncated to 40 Bytes in ISIS
 # [#29325] *article manager options
 # [#29307] getComponentsWithConfig does not work for custom components. Thanks Patrick

29-Sep-2012 Mark Dexter
 # [#29385] Joomla 3.0 stable package has wrong file permissions

29-Sep-2012 Jean-Marie Simonet
 # [#29343] 'Remove installation folder' button not always working. Thanks Ofer
 # [#29380] Override Language String Created Cannot be Deleted. Thanks Patrick
 # [#29374] Languages Cannot be Installed Using Install Languages. Thanks Ofer
 # [#29006] *J3.0 alpha 2.0 : Fieldset not working for plugin extension.

28-Sep-2012 Jean-Marie Simonet
 +$ Adding installation languages: tr-TR
 $ updating sy-IQ
 #$ Correcting hard coded text in Protostar
 $ [#29383] Language String TPL_HATHOR_COLOUR_CHOICE_BLUE Missing. Thanks Mig
 # Missing position footer in Protostar.xml

-------------------- 3.0.0 Stable Release [27-Sep-2012] ------------------

27-Sep-2012 Jean-Marie Simonet
 +$ Adding installation languages: bg-BG, de-DE, ru-RU. Updated pt-BR
 # [#29367] *Filtering by category does not work for Featured articles
 # [#29336] *Protostar page navigation does not work
 # [#29358] A single contact does not send email and return 500 system error. Thanks Andrea
 # [#29344] Javascript Error with JHTML tabs. Thanks Jérôme GLATIGNY $ Peter

27-Sep-2012 Mark Dexter
 # [#29369] Updated sample data for SQL Azure database. Thanks Hooduku.
 # [#29211] Isis: Jumping table rows on mouseover. Thanks Constantin Romankiewicz.

26-Sep-2012 Mark Dexter
 # Revert [#29348] Restore DS definition.
 # [#28917] Optimize SQL Server/Azure DDL + Sync with MySQL. Thanks Michael and Hooduku.
 # [#29348] Restore DS definition. Thanks Elin.
 # [#29349] Don't delete bluestork from the database.
 # [#29351] New layouts folder not created during update.
 # [#29352] Add beez3 during update, add mod_stats_admin during new install.

26-Sep-2012 Jean-Marie Simonet
 +$ Adding installation languages: pt-BR, vi-VN
 # Correcting 3.0.0.sql

25-Sep-2012 Mark Dexter
 # [#29237] Advanced module chrome settings Bootstrap Size should have default "none" option. Thanks Dragon Todorovic.
 # [#29269] Navigate to the iPhone for Joomla! Thanks Kyle.
 # [#29304] Sample data. Thanks Elin.
 # [#29322] Fixed collapse/expand on subitems (menu treeselect in modules). Thanks Peter van Westen.
 # [#29323] Problems in update from 2.5 to 3.0

25-Sep-2012 Jean-Marie Simonet
 +$ Adding installation languages: es-ES, fa-IR, hu-HU
 ^# [#29301] Protostar Site Title and Description Params. Thanks Kyle
 # [#29302] Moving Accordion fix to bootstrap-extended. Thanks Kyle.
 # Correcting double slashes in beez3 css loading
 -# [#29259] Remove unused pkg_joomla extension. Thanks Michael
 # [#29258] Update library and package manifests for 3.0. Thanks Michael
 # [#29284] Halthor Browser.Engine deprecated in Mootools 1.4.5. Thanks Roberto
 +$ Adding installation languages: th-TH, zh-CN
 +$ Adding installation languages: sy-IQ

24-Sep-2012 Mark Dexter
 # [#29275] Update README.txt file for Joomla 3. Thanks Nick Savov.
 # [#29291] New version of sample_default.sql and sample_blog.sql. Thanks Elin.
 # [#29256] Change Menu Item selction in modules from Chosen to a checkbox tree. Thanks Peter van Westen.
 # [#29276] Installation spinners don't work correctly.
 # [#29158] mod_login selects wrong layout when user is logged in. Thanks Elin.

24-Sep-2012 Jean-Marie Simonet
 # [#29287] String Global Configuration appears as title of every component Options. Thanks Michael
 # [#29288] Joomla update doesnt purge correctly. Thanks Janich
 #$ Wrong lang constant and missing strings in hathor
 +$ Adding installation languages: ja-JP, ko-KR, nl-NL
 # Updating joomla logos for ®. Thanks Pawel

23-Sep-2012 Jean-Marie Simonet
 $ Improving ta-IN installation ini
 # [#29285] String Last Updated appears twice in frontend. Thanks Stella.
 # [#29244] *Blocked/unblocked activated/not activated not displaying in user manager. Thanks Yannick
 # [#29281] Fix open div in com_content blog view (again). Thanks Kyle and Andy

22-Sep-2012 Mark Dexter
 # [#28764] user notes category is not properly nested in the assets table. Thanks Elin.
 # [#29116] Parse error on initializing installation if server does not meet PHP requirements . Thanks Jean-Marie.
 # [#28900] Improvements to Schema package. Thanks Michael.
 # [#29162] Need a Purge Cache Button in the Joomla! Update component. Thanks Janich Rasmussen.
 # [#28992] Code cleanup for com_content. Thanks Viet Vu.

22-Sep-2012 Jean-Marie Simonet
 +$ Adding installation languages: ar-AA, az-AZ, ckb-IQ, fi-FI
 # Correcting double translation
 $ Correcting lang string typo
 # [#29050] Page Navigation in Extension Manager not working. Thanks Yannick
 # [#29274] Fix code style and unclear doc blocks from 29050. Thanks Michael

21-Sep-2012 Jean-Marie Simonet
 +$ Adding installation languages: km-KH, sv-SE
 + [#29246] Improve Beez3 optional handling of Boot strap. Thanks Elin
 # [#29247] *Front-end profile edit broken
 # [#29141] *RTL filtering broken. Thanks Andrea
 #+ [#29227] Custom active menu item for menu module. Thanks Dennis
 $ Correcting some lang strings
 ^ Updating versions to 3.0.0

20-Sep-2012 Jean-Marie Simonet
 # [#29206] Isis Template Parameters for Status, Header and Toolbar. Thanks Kyle and Peter
 # [#29214] Module's menu assignment always shown. Thanks Stephane Deluce
 # [#29137] Address in single contact rendering incorrectly. Thanks Elin
 #$ Correcting various spelling issues in en-GB. Thanks Brian.
 # [#28826] System Debug plug-in doesn't show for non logged-in user. Thanks Shaun

19-Sep-2012 Jean-Marie Simonet
 # [#29176] Call to undefined method JHtmlTabs::getJSObject() (Sync with platform). Thanks Elin
 # [#28990] Unpublish default menu item gives a PHP exception. Thanks Roberto
 +$ Adding installation languages: bs-BA, hr-HR, lv-LV, mk-MK
 # [#29223] *Sliders implementation prevents display of some Options in dropdowns (bootstrap). Thanks Yannick
 # [#29232] Com_weblinks and com_newsfeeds loose "Status" filter state. Thanks Yannick
 # [#29225] Code quality in installation script. Thanks Dennis

18-Sep-2012 Jean-Marie Simonet
 # [#29091] *Language issues during installation: E-Mail always in English. Thanks Dennis

17-Sep-2012 Mark Dexter
 # [#29194] Add some alternatives to the Joomla Logo. Thanks Dianne Henning & Elin.
 # [#29181] Make article info block semantic. Thanks Elin.
 # [#28213] Page titles of categories and subcategories are unsuitable. Thanks Skunk Anan.
 # [#29216] Clean up category lists. Thanks Elin.

17-Sep-2012 Jean-Marie Simonet
 # [#28403] Validation error on com_finder. Thanks Emerson and Jason
 +$ Adding installation languages: sr-RS, sr-YU, zh-TW

16-Sep-2012 Jean-Marie Simonet
 # [#29141] *RTL filtering broken. Thanks Andrea
 #$ Correcting some installation lang strings + adding a sprintf
 # [#29177] Re-added module filter. Thanks Jason
 # [#29189] Hathor: Batch without function. Thanks Michael
 # [#29179] SQL error in related items module. Thanks Mark
 #^ [#29160] Optimise JavaScript loading. Thanks Rouven
 # [#29207] Unpublished badge not using jtext. Thanks Elin
 # [#29208] com_contact categories list items count badge alignment. Thanks Jon
 # Reverting #29141 as it creates unwanted pbs with dropbox while not solving fully the original issue
 # [#29201] Make it so submit button uses link color in protostar. Thanks Elin
 +$ Adding installation languages: pl-PL, ta-IN, uk-UA
 +# [#29180] Improvements/ clean up for beez 3. Thanks Elin

16-Sep-2012 Rouven Weßling
 # [#29196] Plugin quickicon Joomlaupdate links to com_installer. Thanks Janich.
 # [#29202] Plugins manager Status filter does not work. Thanks Yannick.
 # [#29174] HTML5 Shim Added To All Templates. Thanks Kyle.

15-Sep-2012 Mark Dexter
 # [#28485] Joomla search module html needs looking at. Thanks Jason Williams.
 # [#29182] Fix notice in search view. Thanks Elin.
 # [#29172] Unpublished state is not indicated. Thanks Elin.

15-Sep-2012 Jean-Marie Simonet
 +$ Adding installation da-DK, he-IL, it-IT, sk-SK
 # [#29163] Icon appearing in wrong place in administrator/mod_menu. Thanks Javier
 # [#29178] Content - Vote plugin missing closing </span> tag. Thanks Andrea
 # [#29055] Debug module floats to top on admin login screen. Thanks Kyle
 # [#29186] Cleaning out old JRegistry->getValue(). Thanks Janich

14-Sep-2012 Jean-Marie Simonet
 # [#29091] *Language issues during installation: E-Mail always in English, thanks Dennis
 - Deleting obsolete installation languages.
 # Reverting 29091

13-Sep-2012 Rouven Weßling
 # [#29149] html5 validation is failing. Thanks Jean-Marie.

13-Sep-2012 Jean-Marie Simonet
 # [#29144] error.php for Isis and Protostar Templates. Thanks Kyle
 # [#29139] *RTL incorrect display in new module creation window
 # [#29140] *RTL incorrect display when selecting a menu item type
 # [#29135] Improve popover loading. Thanks Rouven
 # [#29146] Fix open div in com_content blog view.Thanks Kyle

11-Sep-2012 Jean-Marie Simonet
 # Installation languages alpha ordering broken on hosts. Adding method. Thanks Dennis

10-Sep-2012 Jean-Marie Simonet
 # [#29115] Wrong default frontend template. Thanks Peter.

09-Sep-2012 Jean-Marie Simonet
 # [#29093] Restore admin submenu items. Thanks Michael
 # [#29121] *The filter Select Status in Plugin Manager won't work
 # [#29119] Update the markup for the multilang status module. Thanks Michael
 # [#29096] Apply bootstrap for view override of com language. Thanks Viet Vu
 # [#29111] Component Options don't redirect back to the component after save. Thanks Rouven
 # [#29077] Restore popup button behavior, add button for new slider behavior, implement it. Thanks Michael
 # [#29062] Remove unnecessary table creations from testing sampledata. Thanks Rouven
 # [#29099] Drop the unused #__update_categories table. Thanks Rouven
 # [#29126] Admin Template: Accordion fieldsets for template and category options like com_menus. Thanks Reinhard
 # [#29072] Contact view to use plain, tabbed, and slider outputs from Bootstrap JHTML library. Thanks Dave
 # [#29079] Move jquery chosen call from template to components. Thanks Viet Vu

09-Sep-2012 Rouven Weßling
 # [#29127] Module save2copy dont work. Thanks Reinhard.
 # Fix an E_STRICT warning in com_banners. Thanks Elin.

08-Sep-2012 Jean-Marie Simonet
 # [#29052] *Protostar Print article bug. Thanks Kyle.
 # [#29067] *Ordering dropdown display issue. Thanks Kyle.
 # [#29101] Fix Protostar Responsive Grid and Menus. Thanks Kyle.

07-Sep-2012 Jean-Marie Simonet
 # [#29104] Typo in 3.0.0 update script
 # Incomplete query in multilanguage status (synced with 2.5.x correction)

-------------------- 3.0 Beta 1 Release [06-Sep-2012] ------------------

06-Sep-2012 Mark Dexter
 # [#29102] Cannot create a new database during installation

05-Sep-2012 Mark Dexter
 + [#29088] PostgreSQL driver for Joomla! CMS 3.0. Thanks Michael.
 # [#28963] Add ordering to column titles where it was missing. Thanks Peter van Westen.
 # [#29064] Improve the isis header. Thanks Rouven.
 # [#29054] Update TinyMCE to 3.5.6. Thanks Rouven.
 # [#29087] Update Beez for Joomla 3. Thanks Elin.
 + [#29089] new minimal sample data set. Thanks Elin.
 + [#29025] Let the SEF plug-in add the canonical url to the head. Thanks Rouven.

05-Sep-2012 Rouven Weßling
 # [#29082] using unicode slugs broken in master
 ^ Merge latest platform (c4940fab81c79d618c52f915dc71c66f0db3b25f)
 # [#29070] Bootstrapping Flash Uploader and Copy Template. Thanks Kyle.
 + [#27979] PHP Memcached driver. Thanks Ofer.

05-Sep-2012 Jean-Marie Simonet
 # [#29009] Drop the unused usertype column from #__users and #__sessions. Thanks Michael
 # [#29059] Smart Search - Filter Edit does not check the checked_out status to set the toolbar buttons. Thanks Michael
 # [#29084] Add missing SQL modifications to 3.0.0.sql. Thanks Rouven

04-Sep-2012 Jean-Marie Simonet
 # [#24628] htmlspecialchars() and multiple menu modules of the same menu. Thanks Rouven
 # [#28898] Update update script for Joomla 3.0. Thanks Michael
 # [#29024] Remove the prevuuw view from com_templates. Thanks Rouven.
 # [#28941] Improvements for Bootstrap and jQuery HTML Helpers. Thanks Michael
 # [#27806] *User with spaces as password can not log in. Thanks Rouven
 # [#28997] Make backend content editing layouts consistent and add new fields. Thanks Elin

04-Sep-2012 Rouven Weßling
 ^ [#29048] Update Joomla 3.0 to Bootstrap 2.1 LESS, CSS & JS. Thanks Kyle.
 # [#29049] In template preview it is very hard to read the position name and style name. Thanks Elin.

03-Sep-2012 Rouven Weßling
 ^ Merge latest platform (c15b8db512c26b6e5308b157c518702d617e47a4)

02-Sep-2012 Jean-Marie Simonet
 # Correcting en-GB.xml to reflect adding protostar and isis + mod_stats_admin ini files

01-Sep-2012 Rouven Weßling
 - Removed the bluestork admin template.
 - Removed the atomic template.
 - Removed the beez5 template.
 ^ Handle removed templates in the sample data. Thanks Elin.
 ^ Normalise all CSS files based on our own lessphp based compiler.
 # [#29026] Update Hathor Less files to use Bootstrap variable names and mixins. Thanks Michael.
 # [#28964] Update jQuery to 1.8.1 and jQuery UI to 1.8.23

01-Sep-2012 Jean-Marie Simonet
 # [#29034] img border is deprecated in html4, obsolete in html5.Thanks Chris
 # [#29027] Add language data to Smart Search indexing's tokenize process. Thanks Michael.
 # [#28756] Enable Search Term Logging in Smart Search. Thanks Michael.
 # [#27933] Smart Search module does not read static filter setting from module parameters. Thanks Chris
 # [#29028] Finder log messages showing on save. Thanks Elin
 ^ [#28833] Unprotect a number of extensions. Thanks Rouven.

30-Aug-2012 Rouven Weßling
 ^ Move JEditor to the CMS libraries.
 # [#29010] Fix E_NOTICE in JFormFieldMedia

29-Aug-2012 Jean-Marie Simonet
 # [#28980] Publication information should not have h2 styling. Thanks Elin
 + [#28975] Add background color selector to protostar. Thanks Elin
 # [#29014] *Firefox 14.0.1: Insert Image, Article or Pagebreak always inserts on top
 # [#29004] *regression: protostar does not include the necessary css when inserting image in article

28-Aug-2012 Rouven Weßling
 ^ Reduce use of the deprecated JFile methods.
 ^ Reduce use of the deprecated JRequest class.
 ^ Reduce the amount of access to $_SERVER.

27-Aug-2012 Jean-Marie Simonet
 # [#28376] Remove unnecessary files from com_media frontend. Thanks Michael
 # [#28858] Com_finder missing show_advanced_tips parameter => can't hide advanced tips. Thanks Michael

26-Aug-2012 Jean-Marie Simonet
 # [#28950] Code quality for mod_stats_admin, translated DB drivers. Thanks Michael
 # [#28962] Added colors to main icons in admin isis. Thanks Peter.
 # [#28984] HRs in default layouts will change people's sites and are not semantic. Thanks Elin
 # [#28853] Template fails to copy. Thanks Mark
 # [#28672] Fix PHP Strict errors with Smart Search auto-completion. Thanks Michael.
 # [#28985] JFile class not loaded when use cache handler != file. Thanks Julio.
 ^ xml version changes to 3.0

24-Aug-2012 Jean-Marie Simonet
 # [#28968] Missing JFolder class imports in CMS. Thanks Mark
 # [#28797] Code Cleanup - Smart Search. Thanks Michael
 # [#28449] captcha cause fatal error when the "captcha" field is not present in "configuration.php" after an upgrade. Thanks Elin.
 # [#28987] JToolbarButtonHelp doesn't work. Thanks Rouven

23-Aug-2012 Mark Dexter
 # [#28948] Improvements for com_media Bootstrapped layouts. Thanks Michael.
 # [#28965] Wrong default menu for new menu items
 # [#28974] Refactor newsfeeds to use JFeed. Thanks Elin.
 # [#28976] Fatal Error when click Article button during front-end editing

22-Aug-2012 Mark Dexter
 # [#28967] Save & Close of Menu Item results in Fatal Error

21-Aug-2012 Jean-Marie Simonet
 # [#28954] *Administrator templates positions untranslated when editing Module position

21-Aug-2012 Rouven Weßling
 ^ Merge latest platform (bf746b2389fbea9c0fa48ea015320c18beb8d0f3)
 ^ Remove use of the deprecated JProfiler::getMemory().

20-Aug-2012 Jean-Marie Simonet
 # [#28943] *Allowing to disable admin menu bar collapse (Isis)
 # [#28947] Handle submenu rendering as a module again. Thanks Rouven
 # [#28942] Use bootstrap markup in Fx.Progressbar; Use Fx.Progressbar in Finder. Thansk Rouven.
 # [#28955] Commit of issue 28932 broke sample data installation, Thanks Mark.

18-Aug-2012 Jean-Marie Simonet
 # [#28929] *Frontend editing tabs does not work. Thanks Peter.
 # [#28932] *Simplifying sample data install on 3.0 alpha2

-------------------- 3.0 Alpha 2 Release [16-Aug-2012] ------------------

16-Aug-2012 Mark Dexter
 # [#28927] Update sample data files for protostar and isis. Thanks Elin.

16-Aug-2012 Jean-Marie Simonet
 # [#28925] Change the variable name on the submenu rendering to avoid conflicts. Thanks Andrea.
 # [#28926] Add Isis and Protostar to mysql/joomla.sql. Thanks Elin.
 # Fix installation languages issue. Thanks Roberto

16-Aug-2012 Rouven Weßling
 ^ Reduce use of JFolder and deprecated JRequest methods.
 ^ Merge latest platform (c77f323d339b7dcfb305325c48a38813322dd69d)

15-Aug-2012 Jean-Marie Simonet
 + Porting to master Installing Language packs from Extension Manager. Thanks Javier and Rouven
 #^ [#28918] Abstract FinderIndexer class for improved database support. Thanks Michael

15-Aug-2012 Rouven Weßling
 #+ [#28032] Split mod_login into two layouts

11-Aug-2012 Jean-Marie Simonet
 $+ Adding Vietnamese vi-VN to installation languages

11-Aug-2012 Jean-Marie Simonet
 #+ [#25295] Email exposed through RSS and Atom feeds. Thanks Elin and Peter
 # [#28795] mod_articles_category "read more" truncation not functioning properly. Thanks Elin.
 ^ [#28374] Deprecate MediaHelper::parseSize() and use JHtmlNumber::bytes() to process file size in Media Manager. Thanks Michael.
 + [#28902] Add CLI to remove files that weren't removed at update. Thanks Michael

10-Aug-2012 Rouven Weßling
 ^ Reduce use of deprecated JDatabase and JRequest methods.
 ^ Merge latest platform (2f2d084af274840e7103fe6ad826926be8b3eb06)
 ^ Move JToolbar and JHelp to the CMS libraries

05-Aug-2012 Mark Dexter
 # [#28904] Typo in recent commit broke single newsfeed

05-Aug-2012 Rouven Weßling
 ^ Add additional sinffs to the code style checker

02-Aug-2012 Mark Dexter
 # [#28855] Fix Array to string conversion notices (PHP 5.4 only)
 # [#28825] Blank article can't be saved
 # [#28827] INSTL_ADMIN_EMAIL_LABEL translation is missing
 # [#28817] Cache not being cleared automatically when changes are made in back end

02-Aug-2012 Rouven Weßling
 ^ Merge latest platform (fc189e3e0cc964cef238aeb0799c7c72c1c988da)
 ^ Reduce use of deprecated platform APIs
 ^ Don't always load JArrayHelper

31-Jul-2012 Mark Dexter
 ^ [#28854] Update Core and Sample SQL filies in installation and related changes

25-Jul-2012 Jean-Marie Simonet
 [#28846] *When URL Language Code is removed, language switcher module redirects to URL without .html suffix. Thanks Dennis

18-Jul-2012 Jean-Marie Simonet
 # [#28837] Can't get past step 4 "Database Configuration". Thanks Shaun.
 # [#28511] Move the caption behavior from the controller to the layouts in com_content. Thanks Rouven and Peter.

-------------------- 3.0 Alpha 1 Release [13-Jul-2012] ------------------

13-Jul-2012 Jean-Marie Simonet
 ^ Merge of latest platform from 12.1+ Thanks Rouven
